<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/4/22
 * Time: 19:26
 */

abstract class BaseController
{
    protected  $view_data=[];
     public function __construct()
    {
        $this->req=(new \Request());
        $class=get_called_class();
        $function_path=DOXCX_FRAME_PATH.str_replace("\\",DIRECTORY_SEPARATOR,strstr($class,'Controller',true)).'function.php';
        if(is_file($function_path)){
            include_once $function_path;
        }
        $this->_initialize();
    }
    public function _initialize(){

    }

    public function show($template=''){
        global $_PAGE;
        //需要视图 先计算出视图路径和 编译后的文件路径
        \Page::$my_view = $template;
        $_PAGE->_transpath();
        //编译视图模板
        $_PAGE->_trans();
        extract($this->view_data);
        //加载标签输出主文件
        include DOXCX_LIB.'/sys/tag.php';
        //加载编译后的视图文件
        include $_PAGE->com_path;
        //自动执行后台的推送的JS脚本
        if(!empty(\Page::$js_arr)){
           echo  '<script type="text/javascript">DOXCX(function(){'.implode(";", Page::$js_arr).'});</script>';
        }
        return '';
    }
    /**
     * 分配模版变量
     * @param $name
     * @param $value
     * @return $this
     */
    public function assign($name,$value){
        if (is_array($name)) {
            $this->view_data = array_merge($this->view_data, $name);
        } else {
            $this->view_data[$name] = $value;
        }
        return $this;
    }
}