// pages/area/addarea/addarea.js
Page({
  /**
   * 页面的初始数据
   */
  data: {
    region: ["北京市", "北京市", "东城区"],
    id:'',
    acquiescein:false,
    stu:0
  },
  // 选择省市区函数
  bindRegionChange (e) {
    this.setData({
      region: e.detail.value,
    });
  },
  switch1Change: function (e) {
    this.setData({
      acquiescein: e.detail.value,
    });
  },
  formSubmit:function(e){
    var that = this;
    if (e.detail.value.username.length > 8 || e.detail.value.username.length<2){
      wx.showToast({
        title: '收货人格式不对',
        icon: 'none',
        duration: 2000
      })
      return ;
    }
    if (!(/^1[34578]\d{9}$/.test(e.detail.value.tel))){
      wx.showToast({
        title: '手机格式不对',
        icon: 'none',
        duration: 2000
      })
      return;
    }
    if (e.detail.value.area.length < 6 || e.detail.value.area.length > 32){
      wx.showToast({
        title: '详细地址长度不对最短5个字最长32个字哦~',
        icon: 'none',
        duration: 2000
      })
      return;
    }
    if(this.data.stu==1){
      var acquiescein=true;
    }else{
      var acquiescein = this.data.acquiescein;
    }
    wx.request({
      url: 'https://jiyin.00158.com/home/index/area',
      data:{
        username: e.detail.value.username,
        tel: e.detail.value.tel,
        provinces: this.data.region[0],
        city: this.data.region[1],
        counties: this.data.region[2],
        area: e.detail.value.area,
        acquiescein: acquiescein ,
        cid:this.data.id
      },
      success:function(res){
        if (res.data.state){
              wx.showToast({
                title: '添加成功',
                icon:'success',
                duration: 1500,
                success:function(){
                if(that.data.stu==0){
                  wx.navigateBack({
                    delta: 1
                  })
                }else{
                  wx.navigateTo({
                    url: '../../orders/orders' 
                  })
                }

                }
              })
        }else{
          wx.showToast({
            title: '添加失败,推测原因当前页面请求人数过多',
            icon: 'none',
            duration: 3000,
            success: function () {
              wx.navigateBack({
                delta: 1
              })
            }
          })
        }
      },
      fail:function(){

      }
    })
    // console.log('form发生了submit事件，携带数据为：', e.detail.value)
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.stu){
            this.setData({
              stu: options.stu,
            });
          }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    var oo = wx.getStorageSync('myid');
    this.setData({
      id: oo
    });
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  }
})