const wx = require('../../weidogs');
var app = getApp(), $ = require('../../utils/util.js'), 
    userapi = require('../../api/userAPI.js'),
     area  = require('../../config.js'), 
    notice = require('../../utils/notice.js');
var area = require('../../utils/aera.js')
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
var show = false;
var item = {};

var areaInfo = [];//所有省市区县数据

var provinces = [];//省

var citys = [];//城市

var countys = [];//区县

var value = [0,0,0];//数据位置下标

var info = {};
function getAreaInfo(callBack){
  var str = area.list.area;
  callBack(str);
}
function updateAreaData( that, status, e){
    //获取省份数据
    var getProvinceData = function (){
      var s;
      provinces = [];
      var num = 0;
      for (var i = 0; i < areaInfo.length; i++) {
        s = areaInfo[i];
        if (s.di == "00" && s.xian == "00") {
          provinces[num] = s;
          num++;
        }
      }

      //初始化调一次
      //获取地级市数据
      getCityArr();
      //获取区县数据
      getCountyInfo();

      //模型赋值
      info = {
        item: {
          provinces: provinces,
          citys: citys,
          countys: countys,
          value: value
        }
      }

      animationEvents(that, 200, false, 0);
    }

    // 获取地级市数据
    var getCityArr = function (count = 0) {
      var c;
      citys = [];
      var num = 0;
      for (var i = 0; i < areaInfo.length; i++) {
        c = areaInfo[i];
        if (c.xian == "00" && c.sheng == provinces[count].sheng && c.di != "00") {
          citys[num] = c;
          num++;
        }
      }
      if (citys.length == 0) {
        citys[0] = { name: '' };
      }
    }

    // 获取区县数据
    var getCountyInfo = function (column0 = 0, column1 = 0) {
      var c;
      countys = [];
      var num = 0;
      for (var i = 0; i < areaInfo.length; i++) {
        c = areaInfo[i];
        if (c.xian != "00" && c.sheng == provinces[column0].sheng && c.di == citys[column1].di) {
          countys[num] = c;
          num++;
        }
      }
      if (countys.length == 0) {
        countys[0] = { name: '' };
      }
      value = [column0, column1, 0];
    }
    
    //滑动事件
    var valueChange = function(e,that){
      var val = e.detail.value
       console.log(e)
      //判断滑动的是第几个column
      //若省份column做了滑动则定位到地级市和区县第一位
      if (value[0] != val[0]) {
        val[1] = 0;
        val[2] = 0;
        getCityArr(val[0]);//获取地级市数据
        getCountyInfo(val[0], val[1]);//获取区县数据
      } else {    //若省份column未做滑动，地级市做了滑动则定位区县第一位
        if (value[1] != val[1]) {
          val[2] = 0;
          getCountyInfo(val[0], val[1]);//获取区县数据
        }
      }
      value = val;

      assignmentData(that, that.data.item.show)

      console.log(val);
      
      //回调
      //callBack(val);

    }
   
    if (status == 0){
      getAreaInfo(function (arr) {
        areaInfo = arr;
        //获取省份数据
        getProvinceData();

      });  
    }
    //滑动事件
    else{
      valueChange(e,that);
    }
    
}

//动画事件
function animationEvents(that, moveY, show, duration) {
  console.log("moveY:" + moveY + "\nshow:" + show);
  that.animation = my.createAnimation({
    transformOrigin: "50% 50%",
    duration: duration,
    timingFunction: "ease",
    delay: 0
  })
  that.animation.translateY(moveY + 'vh').step()
  //赋值
  assignmentData(that,show)

}

//赋值
function assignmentData(that, show) {
  that.setData({
    item: {
      animation: that.animation.export(),
      show: show,
      provinces: provinces,
      citys: citys,
      countys: countys,
      value: value
    }
  })
}
//  三级联动end

Page({
    data: {
        Pindex: 0,
        Cindex: 0,
        Dindex: 0,
        PCDlist: {},
        Province: {},
        City: {},
        District: {},
        selectProId: 0,
        selectCid: 0,
        selectDid: 0,
        adid: 0,
        spid: '',
        addressinfo: {},
        seladstr: '',
        isShow: !1,
        isDefault: !1,
        showconsignee: '',
        showdetail: '',
        showphone: '',
        showisDefault: '',
        consignee: '',
        detail: '',
        value: [
            0,
            0,
            0
        ],
        phone: '',
        isre: !0,
        issub: !1,
        item: 
        {
            show: show
        },
        hidden : true, //控制提交按钮
        county:''
    },
    onLoad: function (e) {
      console.log('vmvkdhud',e)
        updateAreaData(this,0,e);
        app.globalData.getTop();
        this.setData({
            issub: e.issub,
            adid: e.adid || 0,
            spid: e.spid || ''
        });
        var n = this;
        if (e.adid > 0) {
            my.setNavigationBar({
               title: '修改地址',
                });
            var r = { Id: e.adid };
            $.xsr($.makeUrl(userapi.GetAddressDetail, r), function (e) {
                console.log(e)
                n.setData({
                    addressinfo: e.dataList[0],
                    selectProId: e.dataList[0].province,
                    selectCid: e.dataList[0].city,
                    selectDid: e.dataList[0].district,
                    showconsignee: e.dataList[0].consignee,
                    showdetail: e.dataList[0].detail,
                    showphone: e.dataList[0].phone,
                    showisDefault: e.dataList[0].isDefault,
                    consignee: e.dataList[0].consignee,
                    detail: e.dataList[0].detail,
                    isDefault: e.dataList[0].isDefault,
                    phone: e.dataList[0].phone,
                    province:e.dataList[0].province,
                    city:e.dataList[0].city,
                    county: e.dataList[0].district,
                }), n.GetAllPCDList(function () {
                    n.seladress();
                });
            });
        } else
        console.log('else')
            n.GetAllPCDList(function () {
                n.seladress();
            });
    },
    GetAllPCDList: function (e) {
        var t = this;
        $.getCache('pcdlist', function (n) {
            // console.log(n),
             t.setData({ PCDlist: n.data }), e();
        }, function (n) {
            $.xsr($.makeUrl(userapi.GetAllPCDList, ''), function (n) {
                $.setCache('pcdlist', n, function () {
                    console.log(n)
                    t.setData({ PCDlist: n }), e();
                });
            });
        });
    },
    GetProvince: function () {
        var e = this.data.PCDlist.PList, t = [], n = [];
        for (var r in e)
            t.push(e[r].ProvinceName), n.push(e[r].ProvinceID), this.data.selectProId == e[r].ProvinceID && this.setData({ Pindex: r });
        this.setData({
            Province: {
                pname: t,
                pid: n
            }
        });
    },
    inputconsignee: function (e) {
        this.setData({ consignee: e.detail.value });
    },
    inputdetail: function (e) {
        return this.setData({ detail: e.detail.value }), e.detail.value;
    },
    inputphone: function (e) {
        this.setData({ phone: e.detail.value }), /^1[34578]\d{9}$/.test(e.detail.value) ? this.setData({ isre: !0 }) : this.setData({ isre: !1 });
    },
    ckDefault: function (e) {
        
        this.setData({ isDefault: e.detail.value });
    },
    submitinfo: function () {
        if(this.data.consignee == ''){
            my.showToast({
            type: 'fail',
            content: '名字不可为空',
            duration: 1200,
            });
            return ;
        }
        if(this.data.detail == '' || this.data.detail.length < 3){
            my.showToast({
            type: 'fail',
            content: '详细地址不能少于2个字',
            duration: 1200,
            });
            return ;
        }
        if(this.data.phone == '' || this.data.phone.length < 11){
            my.showToast({
            type: 'fail',
            content: '手机号码格式错误',
            duration: 1200,
            });
            return ;            
        }
        if(this.data.county == ''){
            my.showToast({
            type: 'fail',
            content: '请选择省市区',
            duration: 1200,
            });
            return ;  
        }
        // if (!this.data.isre)
        //     return;
        var e = {
                openId: app.globalData.UserInfo.WeiXinOpenId,
                consignee: this.data.consignee,
                provinceName: this.data.province ,
                cityName: this.data.city,
                districtName: this.data.county,
                province: this.data.province ,
                city: this.data.city,
                district: this.data.county,
                detail: this.data.detail,
                isDefault: this.data.isDefault,
                phone: this.data.phone,
                seladstr: this.data.province +','+ this.data.city +','+ this.data.county
            }, t = this;
        this.data.adid <= 0 ? $.xsr($.makeUrl(userapi.AddAddress, e), function (e) {
            e.errcode == 0 && wx.showToast({
                title: '添加成功',
                icon: 'success',
                duration: 2000,
                success: function () {
                    t.data.issub === 'true' ? t.data.adid < 0 ? $.backpage(1, function () {
                        var n = {
                            adid: e.dataList[0],
                            spid: t.data.spid
                        };
                        notice.postNotificationName('RefreshOrder', n);
                    }) : $.backpage(1, function () {
                        var n = {
                            adid: e.dataList[0],
                            spid: t.data.spid
                        };
                        notice.postNotificationName('RefreshOrder', n);
                    }) : $.backpage(1, function () {
                        notice.postNotificationName('Refresh', '发送消息\uFF01');
                    });
                }
            });
        }) : (e.id = this.data.adid, $.xsr($.makeUrl(userapi.EditAddress, e), function (e) {
            e.errcode == 0 && wx.showToast({
                title: '修改成功',
                icon: 'success',
                duration: 2000,
                success: function () {
                    t.data.issub === 'true' ? $.backpage(1, function () {
                        var e = {
                            adid: t.data.adid,
                            spid: t.data.spid
                        };
                        notice.postNotificationName('RefreshOrder', e);
                    }) : $.backpage(1, function () {
                        notice.postNotificationName('Refresh', '发送消息\uFF01');
                    });
                }
            });
        }));
    },
    // bindChange: function (e) {
    //     e.detail.value[0] != this.data.value[0] ? this.setData({
    //         value: [
    //             e.detail.value[0],
    //             0,
    //             0
    //         ]
    //     }) : e.detail.value[1] != this.data.value[1] ? this.setData({
    //         value: [
    //             e.detail.value[0],
    //             e.detail.value[1],
    //             0
    //         ]
    //     }) : this.setData({
    //         value: [
    //             e.detail.value[0],
    //             e.detail.value[1],
    //             e.detail.value[2]
    //         ]
    //     }), this.seladress(this.data.value[0], this.data.value[1], this.data.value[2]), this.setData({
    //         Pindex: this.data.value[0],
    //         selectProId: this.data.Province.pid[this.data.value[0]],
    //         selectCid: this.data.City.cid[this.data.value[1]],
    //         selectDid: this.data.District.did[this.data.value[2]]
    //     });
    // },
    seladress: function (e, t, n) {
        var r = this, i = [], s = [];
        console.log(this.data.PCDlis)
        // for (var o in this.data.PCDlist.PList)
        //     i.push(this.data.PCDlist.PList[o].ProvinceName), s.push(this.data.PCDlist.PList[o].ProvinceID);
        // this.setData({
        //     Province: {
        //         pname: i,
        //         pid: s
        //     }
        // });
        var u = [], a = [];
        // this.data.PCDlist.CList.map(function (t) {
        //     t.ProvinceID == (r.data.Province.pid[e || 0] ? r.data.Province.pid[e || 0] : r.data.Province.pid[0]) && (u.push(t.CityName), a.push(t.CityID));
        // }), this.setData({
        //     City: {
        //         cname: u,
        //         cid: a
        //     }
        // });
        var f = [], l = [];
        // this.data.PCDlist.DList.map(function (e) {
        //     e.CityID == (r.data.City.cid[t || 0] ? r.data.City.cid[t || 0] : r.data.City.cid[0]) && (f.push(e.DistrictName), l.push(e.DistrictID));
        // }), r.setData({
        //     District: {
        //         dname: f,
        //         did: l
        //     }
        // });
        var c = [];
        // $.isNull(r.data.Province.pname[e]) ? this.data.PCDlist.PList.map(function (e) {
        //     e.ProvinceID == r.data.selectProId && c.push(e.ProvinceName);
        // }) : c.push(r.data.Province.pname[e]), $.isNull(r.data.City.cname[t]) ? this.data.PCDlist.CList.map(function (e) {
        //     e.CityID == r.data.selectCid && c.push(e.CityName);
        // }) : c.push(r.data.City.cname[t]), $.isNull(r.data.District.dname[n]) ? this.data.PCDlist.DList.map(function (e) {
        //     e.DistrictID == r.data.selectDid && c.push(e.DistrictName);
        // }) : c.push(r.data.District.dname[n]), this.setData({ seladstr: $.isNull(c.toString()) ? '请选择地址' : c.toString() });
    },
    closead: function () {
        this.setData({ isShow: !1 });
    },
    showbox: function () {
        this.setData({ isShow: !0 });
    },
//点击选择城市按钮显示picker-view
  translate: function (e) {
      this.setData({
          hidden : !this.data.hidden
      })
    animationEvents(this, 0, true,400);  
  },
  //隐藏picker-view
  hiddenFloatView: function (e) {
    this.setData({
          hidden : !this.data.hidden
      })
    animationEvents(this, 200, false,400);
  },
  //滑动事件
  bindChange: function (e) {
    updateAreaData(this, 1, e);
    item = this.data.item;
    this.setData({
      province: item.provinces[item.value[0]].name,
    //   provinceId: item.provinces[item.value[0]].name,
      city: item.citys[item.value[1]].name,
      county: item.countys[item.value[2]].name
    });
  },
  nono: function (){},
});