const wx = require('../../weidogs');
const app = getApp();
const templateMethods = require("../../utils/template_methods.js");
const cfAPI = require("../../api/customFormAPI");
const sellerAPI = require('../../api/sellerAPI');
var area = require('../../utils/aera.js')
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
var show = false;
var item = {};

var areaInfo = [];//所有省市区县数据

var provinces = [];//省

var citys = [];//城市

var countys = [];//区县

var value = [0, 0, 0];//数据位置下标

var info = {};
function getAreaInfo(callBack) {
  var str = area.list.area
  callBack(str);
}
function updateAreaData(that, status, e) {
  //获取省份数据
  var getProvinceData = function () {
    var s;
    provinces = [];
    var num = 0;
    for (var i = 0; i < areaInfo.length; i++) {
      s = areaInfo[i];
      if (s.di == "00" && s.xian == "00") {
        provinces[num] = s;
        num++;
      }
    }

    //初始化调一次
    //获取地级市数据
    getCityArr();
    //获取区县数据
    getCountyInfo();

    //模型赋值
    info = {
      item: {
        provinces: provinces,
        citys: citys,
        countys: countys,
        value: value
      }
    }

    animationEvents(that, 200, false, 0);
  }

  // 获取地级市数据
  var getCityArr = function (count = 0) {
    var c;
    citys = [];
    var num = 0;
    for (var i = 0; i < areaInfo.length; i++) {
      c = areaInfo[i];
      if (c.xian == "00" && c.sheng == provinces[count].sheng && c.di != "00") {
        citys[num] = c;
        num++;
      }
    }
    if (citys.length == 0) {
      citys[0] = { name: '' };
    }
  }

  // 获取区县数据
  var getCountyInfo = function (column0 = 0, column1 = 0) {
    var c;
    countys = [];
    var num = 0;
    for (var i = 0; i < areaInfo.length; i++) {
      c = areaInfo[i];
      if (c.xian != "00" && c.sheng == provinces[column0].sheng && c.di == citys[column1].di) {
        countys[num] = c;
        num++;
      }
    }
    if (countys.length == 0) {
      countys[0] = { name: '' };
    }
    value = [column0, column1, 0];
  }

  //滑动事件
  var valueChange = function (e, that) {
    var val = e.detail.value
    console.log(e)
    //判断滑动的是第几个column
    //若省份column做了滑动则定位到地级市和区县第一位
    if (value[0] != val[0]) {
      val[1] = 0;
      val[2] = 0;
      getCityArr(val[0]);//获取地级市数据
      getCountyInfo(val[0], val[1]);//获取区县数据
    } else {    //若省份column未做滑动，地级市做了滑动则定位区县第一位
      if (value[1] != val[1]) {
        val[2] = 0;
        getCountyInfo(val[0], val[1]);//获取区县数据
      }
    }
    value = val;

    assignmentData(that, that.data.item.show)

    console.log(val);

    //回调
    //callBack(val);

  }

  if (status == 0) {
    getAreaInfo(function (arr) {
      areaInfo = arr;
      //获取省份数据
      getProvinceData();

    });
  }
  //滑动事件
  else {
    valueChange(e, that);
  }

}

//动画事件
function animationEvents(that, moveY, show, duration) {
  console.log("moveY:" + moveY + "\nshow:" + show);
  that.animation = my.createAnimation({
    transformOrigin: "50% 50%",
    duration: duration,
    timingFunction: "ease",
    delay: 0
  })
  that.animation.translateY(moveY + 'vh').step()
  //赋值
  assignmentData(that, show)

}

//赋值
function assignmentData(that, show) {
  that.setData({
    item: {
      animation: that.animation.export(),
      show: show,
      provinces: provinces,
      citys: citys,
      countys: countys,
      value: value
    }
  })
}
//  三级联动end
Page(Object.assign({}, {
  data: {
    form: null,  // 表单
    fields: null,  // 字段信息
    formData: {},  // 用户输入
    stu: true,
    value: [
      0,
      0,
      0
    ],
    province: '北京',
    city: '北京',
    county: '北京',
    phone: '',
    isre: !0,
    issub: !1,
    item:
    {
      show: show
    },
    hidden: true, //控制提交按钮
    county: ''
  },
  onLoad(params) {
    updateAreaData(this, 0, params);
    let t = this;
    app.globalData.getTop();
    this.setMenu(this);
    // 获取表单数据
    if (!params.id) {
      my.showToast({
        type: 'fail',
        // title: '错误',
        content: '缺少参数',
        // showCancel: false,
        success() {
          my.navigateBack();
        }
      });
    }
    const api = cfAPI.getForm;
    wx.request({
      url: api.url,
      data: {
        wid: api.data.wid,
        openid: app.globalData.UserInfo.WeiXinOpenId,
        form_id: params.id
      },
      method: 'POST',
      success(resp) {
        let rData = resp.data;
        let data = rData.data;
        if (rData.status != 'success') {
          my.showToast({
            // title: '错误',
            type: 'fail',
            content: rData.msg,
            // showCancel: false,
            success() {
              my.navigateBack();
            }
          });
        } else {
          my.setNavigationBar({
            title: data.form.title
          });
          t.setData({
            form: data.form,
            fields: data.fields,
            attrMap: data.attrMap,
            fieldMap: data.fieldMap,
          });
          if (!data.can_submit) {
            my.showToast({
              // title: '提示',
              type: 'fail',
              content: data.error_tip,
              // showCancel: false,
              success() {
                my.navigateBack();
              }
            });
          }
        }
      }
    });
  },
  bindInput(e) {
    console.log(e);
    let t = this;
    let value = e.detail.value;
    let ds = e.currentTarget.dataset;
    let id = ds.id;
    let type = ds.type;
    let fd = t.data.formData;
    fd[id] = value;
    t.setData({
      formData: fd
    });
  },
  bindMenuChange(e) {
    // console.log(e);
    let t = this;
    let value = e.detail.value;
    let ds = e.currentTarget.dataset;
    let id = ds.id;
    let type = ds.type;
    let fieldIdx = ds.idx;
    let options = t.data.fields[fieldIdx].attr.options;
    let fd = t.data.formData;
    fd[id] = options[value];
    t.setData({
      formData: fd
    });
  },
  bindRadioChange(e) {
    // console.log(e);
    let t = this;
    let value = e.detail.value;
    let ds = e.currentTarget.dataset;
    let id = ds.id;
    let type = ds.type;
    let fd = t.data.formData;
    fd[id] = value;
    t.setData({
      formData: fd
    });
  },
  bindCheckboxChange(e) {
    // console.log(e);
    let t = this;
    let value = e.detail.value;
    let ds = e.currentTarget.dataset;
    let id = ds.id;
    let type = ds.type;
    let fd = t.data.formData;
    fd[id] = value;
    t.setData({
      formData: fd
    });
  },
  bindDateChange(e) {
    // console.log(e);
    let t = this;
    let value = e.detail.value;
    let ds = e.currentTarget.dataset;
    let id = ds.id;
    let type = ds.type;
    let fd = t.data.formData;
    fd[id] = value;
    t.setData({
      formData: fd
    });
  },
  bindAddrChange(e) {
    // console.log(e);
    let t = this;
    let value = e.detail.value;
    let ds = e.currentTarget.dataset;
    let id = ds.id;
    let type = ds.type;
    let fd = t.data.formData;
    fd[id] = value;
    t.setData({
      formData: fd
    });
  },
  bindUploadFile(e) {
    // console.log(e);
    let t = this;
    let value = e.detail.value;
    let ds = e.currentTarget.dataset;
    let id = ds.id;
    let idx = ds.idx;
    let field = t.data.fields[idx];
    let type = ds.type;
    let fd = t.data.formData;
    if (fd[id] && fd[id].length >= field.attr.file_max) {
      my.showToast({
        type: 'fail',
        content: '您最多上传' + field.attr.file_max + '张图片',
        // showCancel: false,
      });
      return;
    }
    my.chooseImage({
      count: 1, // 默认9
      sizeType: ['original'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album'], // 可以指定来源是相册还是相机，默认二者都有
      success: function (res) {
        console.log(res);
        var tempFilePaths = res.apFilePaths;
        if (tempFilePaths.length == 0) {
          return false;
        }
        const path = res.apFilePaths[0];
        var file = tempFilePaths[0];
        var size = res.apFilePaths[0].size / 1024;
        if (size > 2048) {
          my.showToast({
            type: 'fail',
            // title: '错误',
            content: '上传图片不能大于2M',
            // showCancel: 0
          });
          return false;
        }
        my.showLoading({
          title: '正在上传',
          mask: true,
        });
        // 上传
        console.log(path)   //有值 示例：temp://1547693357622.png
        my.uploadFile({
          url: sellerAPI.uploadImg.url, //
          fileType: 'image',
          fileName: 'img',
          filePath: path,
          success: function (res) {
            var imgPath = res.data;
            console.log(imgPath);
            // 完成图片上传
            fd[id] = fd[id] ? [...fd[id], imgPath] : [imgPath];
            t.setData({
              formData: fd
            });
          },
          complete(res) {
            console.log(res)    //上传不成功 error提示也是空的
            my.hideLoading();
          }
        });
      }
    });

  },
  index: function () {
    my.navigateBack({

    })
  },
  bindRemoveImg(e) {
    // console.log(e);
    let t = this;
    let value = e.detail.value;
    let ds = e.currentTarget.dataset;
    let id = ds.id;
    let type = ds.type;
    let idx = ds.idx;
    let fd = t.data.formData;
    let imgList = fd[id];
    if (!imgList) return false;
    imgList.splice(idx, 1);
    fd[id] = imgList;
    t.setData({
      formData: fd
    });
  },
  closead: function () {
    this.setData({ isShow: !1 });
  },
  showbox: function () {
    this.setData({ isShow: !0 });
  },
  //点击选择城市按钮显示picker-view
  translate: function (e) {
    this.setData({
      hidden: !this.data.hidden
    })
    animationEvents(this, 0, true, 400);
  },
  //隐藏picker-view
  hiddenFloatView: function (e) {
    console.log(e, 'nnndndn')
    this.setData({
      hidden: !this.data.hidden
    })
    animationEvents(this, 200, false, 400);
  },
  //滑动事件
  bindChange: function (e) {
    console.log('kkk', e)
    updateAreaData(this, 1, e);
    item = this.data.item;

    // let t = this;
    // let value = e.detail.value;
    // let ds = e.currentTarget.dataset;
    // let id = ds.id;
    // let type = ds.type;
    // let fd = t.data.formData;
    // fd[id] = value;
    // t.setData({
    //   formData: fd
    // });


    this.setData({
      province: item.provinces[item.value[0]].name,
      city: item.citys[item.value[1]].name,
      county: item.countys[item.value[2]].name
    });
  },
  nono: function () {

  },
  submitForm(e) {
    console.log('jnx', e.detail.value.test)
    if (e.detail.value.test != undefined) {
      let t = this;
      var value = t.data.province + t.data.city + t.data.county;
      // let type = ds.type;
      let fd = t.data.formData;
      fd[e.detail.value.test] = value;
      t.setData({
        formData: fd
      });
    }
    let t = this;
    let td = t.data;
    console.log('fjjfjf', td.formData)
    // 直接提交数据，后台验证
    // 注意表单支付
    // my.showLoading({
    //   title: '正在提交',
    //   mask: true,
    // });
    let api = cfAPI.submitForm;
    console.log(api);
    wx.request({
      url: api.url,
      data: Object.assign({}, api.data, {
        form_id: td.form.id,
        formData: td.formData,
        openid: app.globalData.UserInfo.WeiXinOpenId
        //  openid: '2088912171914517'
      }),
      method: 'POST',
      success(resp) {
        console.log('lldldlldd', resp)
        if (resp.data.status == 'success') {
          if (resp.data.data.pay == true) {
            if (resp.data.data.pay_params) {
              if (resp.data.data.pay_params.alipay_trade_create_response.code == '10000') {
                my.tradePay({
                  tradeNO: resp.data.data.pay_params.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
                  success: function (n) {
                    switch (n.resultCode) {
                      case '9000':
                        my.redirectTo({ url: '/pages/customformcenter/customformcenter' })
                        break;
                      case '4000':
                        my.showToast({
                          type: 'fail',
                          content: '订单支付失败',
                        });
                        break;
                      case '6001':
                        my.showToast({
                          type: 'fail',
                          content: '您取消支付',
                        });
                        break;
                      case '6002':
                        my.showToast({
                          type: 'fail',
                          content: '网络连接出错',
                        });
                        break;
                    }
                  },
                  fail: function (n) {
                    my.showToast({
                      type: 'fail',
                      content: '订单支付失败',
                    });
                  }
                });
              } else {
                my.showToast({
                  type: 'fail',
                  content: resp.data.data.pay_params.alipay_trade_create_response.sub_msg
                })
              }

            } else {
              my.showToast({
                type: 'fail',
                content: '提交成功但未支付，请前往表单中心进行支付',
                success: function () {
                  console.log('失败跳转');
                  my.redirectTo({ url: '/pages/customformcenter/customformcenter' })
                }
              });
            }
          } else {
            my.showToast({
              type: 'success',
              content: '提交成功',
              success: function () {
                console.log('成功跳转');
                my.redirectTo({ url: '/pages/customformcenter/customformcenter' })
              }
            });
          }
        } else {
          my.showToast({
            type: 'fail',
            type: 'fail',
            content: '提交失败',
          });
        }
      },
      complete() {
        my.hideLoading();
      },

    });
  }
}, templateMethods));