const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
const app = getApp();
const templateMethods = require('../../utils/template_methods.js');
const cfAPI = require('../../api/customFormAPI');
const sellerAPI = require('../../api/sellerAPI');
Page(Object.assign({}, {
  data: { recordList: null },
  onLoad() {
    let t = this;
    app.globalData.getTop();
    this.setMenu(this);
    this.loadData();
    console.log(cfAPI.payForm);
  },
  loadData() {
    let t = this;
    const api = cfAPI.getDataList;
    wx.request({
      url: api.url,
      data: {
        wid: api.data.wid,
        // openid: '2088912171914517'
        openid: app.globalData.UserInfo.WeiXinOpenId
      },
      method: 'POST',
      success(resp) {
        let rData = resp.data;
        let recordList = rData.data;
        console.log(rData);
        if (rData.status != 'success') {
          my.confirm({
            title: '错误',
            content: rData.msg,
            showCancel: false,
            success() {
              my.navigateBack();
            }
          });
        } else {
          t.setData({ recordList: recordList });
        }
      }
    });
  },
  reloadData() {
    let t = this;
    t.setData({ recordList: null });
    this.loadData();
  },
  payForm(e) {
    console.log(e)
    let t = this, ds = e.currentTarget.dataset;
    let api = cfAPI.payForm;
    console.log(api);
    wx.request({
      url: api.url,
      data: {
        openid: app.globalData.UserInfo.WeiXinOpenId,
        // openid:'2088912171914517',
        wid: api.data.wid,
        dataId: ds.id
      },
      method: 'POST',
      success: function (resp) {
        console.log(resp);
        if (resp.data.status == "success") {
          if (resp.data.data.alipay_trade_create_response.code == '10000') {
            my.tradePay({
              tradeNO: resp.data.data.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
              success: function (n) {
                switch (n.resultCode) {
                  case '9000':
                    my.showToast({
                      type: 'success',
                      content: '订单支付成功',
                    });
                    break;
                  case '4000':
                    my.showToast({
                      type: 'fail',
                      content: '订单支付失败',
                    });
                    break;
                  case '6001':
                    my.showToast({
                      type: 'fail',
                      content: '您取消支付',
                    });
                    break;
                  case '6002':
                    my.showToast({
                      type: 'fail',
                      content: '网络连接出错',
                    });
                    break;
                }
              },
              fail: function (n) {
                my.showToast({
                  type: 'fail',
                  content: '订单支付失败',
                });
              }
            });
          } else {
            my.showToast({
              type: 'fail',
              content: resp.data.data.alipay_trade_create_response.sub_msg
            })
          }
        } else {
          my.showToast({
            type: 'fail',
            content: '订单创建失败',
          });
        }

      }
    });
  }
}, templateMethods));