const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
let app = getApp();
let templateMethods = require('../../utils/template_methods.js');
let myTools = require('../../utils/myTools');
let jd_common = require('../../utils/jd_common');
let WxParse = require('../../wxParse/wxParse.js');
let moment = require('../../utils/moment');
Page(Object.assign({}, {
    data: { tab: 1 },
    onLoad(e) {
        this.setData({ tempE: e });
    },
    onShow: function () {
        var options = this.data.tempE;
        let t = this, id = options.id;
        t.setMenu(t);
        app.globalData.getTop(t);
        app.GetUserInfo(function () {
            t.getSetting(function () {
                t.getJd(id, function (jd) {
                    WxParse.wxParse('jdinfo', 'html', jd.desc, t);
                });
            });
        });
        t.setData({
            sdate: moment().format('YYYY-MM-DD'),
            ssdate: moment().format('YYYY-MM-DD'),
            edate: moment().add(1, 'd').format('YYYY-MM-DD'),
            eedate: moment().add(1, 'd').format('YYYY-MM-DD')
        });
    },
    bindLookAddress() {
        let t = this;
        my.openLocation({
            latitude: parseFloat(t.data.jd.lat),
            longitude: parseFloat(t.data.jd.lng),
            fail() {
                my.confirm({
                    title: '提示',
                    content: '开启地图失败\uFF0C请确认授权了位置权限',
                    success(r) {
                        if (r.confirm) {
                            my.openSetting({
                                success() {
                                    t.bindLookAddress();
                                }
                            });
                        }
                    }
                });
            }
        });
    },
    bindChangeTab(e) {
        let t = this, ds = e.currentTarget.dataset, tab = ds.tab;
        t.setData({ tab: tab });
    },
    bindDateChange(e) {
        let t = this, ds = e.currentTarget.dataset, type = ds.type;
        let val = e.detail.value;
        let setDt = {};
        setDt[type] = val;
        t.setData(setDt);
    },
    bindToggleTaocan(e) {
        console.log('vnjhvudhuhiu',this.data.jd)
        let t = this, ds = e.currentTarget.dataset, id = ds.id, idx = ds.idx;
        let jd = t.data.jd;
        let kfList = jd.kfList;
        for (let i = 0; i < kfList.length; ++i) {
            if (i == idx) {
                kfList[i].show_taocan = !kfList[i].show_taocan;
            } else {
                kfList[i].show_taocan = false;
            }
        }
        jd.kfList = kfList;
        t.setData({ jd: jd });
    },
    showYuDingDialog(e) {
        let t = this, ds = e.currentTarget.dataset;
        let kfId = ds.id, kfIdx = ds.kfidx, tcIdx = ds.tcidx;
        let kf = t.data.jd.kfList[kfIdx];
        if (!kf) {
            return false;
        }
        let tc = kf.taocan[tcIdx];
        if (!tc) {
            return false;
        }
        t.setData({
            dialogKf: kf,
            dialogKfIdx: kfIdx,
            dialogTc: tc,
            dialogTcIdx: tcIdx,
            showDialog: true
        });
    },
    hideYuDingDialog() {
        let t = this;
        t.setData({
            dialogKf: null,
            dialogKfIdx: null,
            dialogTc: null,
            dialogTcIdx: null,
            showDialog: false
        });
    },
    bindDoYuding() {
        let t = this;
        let jdId = t.data.jd.id, kfIdx = t.data.dialogKfIdx, tcIdx = t.data.dialogTcIdx;
        let sdate = t.data.sdate, edate = t.data.edate;
        if (sdate >= edate) {
            wx.showToast({ title: '时间段错误' });
            return false;
        }
        let url = `/pages/jd_submit_order/jd_submit_order?jdId=${ jdId }&kfIdx=${ kfIdx }&tcIdx=${ tcIdx }&sdate=${ sdate }&edate=${ edate }`;
        console.log(url);
        my.navigateTo({ url: url });
    },
    onShareAppMessage() {
        let t = this;
        let url = '/pages/jd_detail/jd_detail?id=' + t.data.jd.id;
        console.log(url);
        return {
            title: t.data.setting.share_title + '-' + t.data.setting.share_desc,
            imageUrl: t.data.jd.imgs[0],
            path: url
        };
    }
}, templateMethods, jd_common));