const wx = require('../../weidogs');

let app = getApp();
let templateMethods = require('../../utils/template_methods.js');
let myTools = require('../../utils/myTools');
let jd_common = require('../../utils/jd_common');
Page(Object.assign({}, {
    data: {},
    onLoad: function (options) {
        let t = this;
        t.setMenu(t);
        app.globalData.getTop(t);
    },
    initPage() {
        let t = this;
        my.getLocation({
            type: 'wgs84',
            success: function (res) {
                let latitude = res.latitude;
                let longitude = res.longitude;
                t.getSetting(function () {
                    t.getJdList(latitude, longitude);
                });
            },
            fail() {
                my.confirm({
                    title: '提示',
                    content: '请打开位置信息权限',
                    success(r) {
                        if (r.confirm) {
                            my.openSetting({
                                success() {
                                    t.initPage();
                                }
                            });
                        }
                    }
                });
            }
        });
    },
    onShow: function () {
        let t = this;
        t.initPage();
    },
    bindRedirectToJdDetail(e) {
        let t = this, ds = e.currentTarget.dataset, id = ds.id, idx = ds.idx;
        let jdItem = t.data.jdList[idx];
        console.log(jdItem);
        if (jdItem.status != 1) {
            my.confirm({
                title: '提示',
                content: '酒店暂停营业中\uFF0C请稍后访问',
                showCancel: 0
            });
        } else {
            let url = '/pages/jd_detail/jd_detail?id=' + id;
            my.navigateTo({ url: url });
        }
    }
}, templateMethods, jd_common));