const wx = require('../../weidogs');

var app = getApp();
var $ = require('../../utils/util.js');
let moreshopApi = require('../../api/moreshopApi.js');
let WxParse = require('../../wxParse/wxParse.js');
let moreshop_common = require('../../utils/moreshop_common');
var templateMethods = require('../../utils/template_methods.js');
Page(Object.assign({}, {
    data: { product: '' },
    onLoad: function (options) {
        var that = this;
        this.setMenu(this);
        app.globalData.getTop(that);
        console.log('onload参数', options);
        let pageStack = getCurrentPages();
        console.log('当前页面栈', pageStack);
        if (options['index']) {
            console.log('准备直接从上一个页面取出商品信息');
            let prevPage = pageStack[pageStack.length - 2];
            console.log('上一个页面', prevPage);
            let product = prevPage.data.productList[options['index']];
            console.log('对应的商品是', product);
            that.setData({ product: product });
            WxParse.wxParse('info', 'html', product.intro, that);
        }
        if (options['index'] == 10) {
            that.comment();
        } else {
            that.productInfo();
        }
    },
    productInfo: function () {
        let that = this;
        that.setData({
            tabIndex: 0,
            page: 1,
            hasMore: 1,
            productInfo: []
        });
        that.setData({ product: that.data.product });
        console.log(that.data.product);
    },
    comment: function () {
        let that = this;
        that.setData({
            tabIndex: 10,
            page: 1,
            hasMore: 1,
            comment: []
        });
    },
    bindBuynow: function () {
        my.navigateTo({ url: '/pages/moreshop_goodorder/moreshop_goodorder' });
    }
}, templateMethods, moreshop_common));