const wx = require('../../weidogs');

let app = getApp(), $ = require('../../utils/util.js'), moreshopApi = require('../../api/moreshopApi.js');
var templateMethods = require('../../utils/template_methods.js');
let WxParse = require('../../wxParse/wxParse.js');
let moreshop_common = require('../../utils/moreshop_common');
Page(Object.assign({}, {
    data: { shopid: '' },
    onLoad: function (options) {
        app.globalData.getTop();
        let that = this;
        let shopid = options.shopid;
        that.setData({ shopid: shopid });
        if (options['index'] == 1) {
            that.comment();
        } else {
            that.productList();
        }
    },
    productList: function () {
        let that = this;
        that.setData({
            tabIndex: 0,
            page: 1,
            hasMore: 1,
            productList: []
        });
        that.loadProduct(that.data.shopid);
    },
    goToDetail: function (e) {
        let id = e.currentTarget.dataset.id;
        let index = e.currentTarget.dataset.index;
        console.log('按钮的点击事件', e);
        console.log('点击的商品id是', id);
        my.navigateTo({ url: '/pages/moreshop_gdetail/moreshop_gdetail?id=' + id + '&index=' + index });
    },
    comment: function () {
        let that = this;
        that.setData({
            tabIndex: 1,
            page: 1,
            hasMore: 1,
            comment: []
        });
    }
}, templateMethods, moreshop_common));