const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
var app = getApp();
let moreshop_common = require('../../utils/moreshop_common');
let templateMethods = require('../../utils/template_methods.js');
let moreshopApi = require('../../api/moreshopApi');
Page(Object.assign({}, {
    data: {
        currentTab: 1,
        lat: null,
        lng: null
    },
    onLoad: function (option) {
        let t = this;
        this.setMenu(this);
        app.globalData.getTop(t);
        my.setNavigationBar({
            title: '多门店',
        });
        t.initLocation();
    },
    initLocation() {
        let t = this;
        my.getLocation({
            success(e) {
                t.setData({
                    lat: e.latitude,
                    lng: e.longitude
                });
                t.shop_list(t.data.currentTab, t.data.lat, t.data.lng);
            },
            fail() {
                my.showToast({
                    type: 'fail',
                    content: '网络错误',
                });
                // my.confirm({
                //     title: '提示',
                //     content: '请允许位置信息权限\uFF0C否则无法正常提供服务',
                //     success(res) {
                //         if (res.confirm) {
                //             my.openSetting({
                //                 success() {
                //                     t.initLocation();
                //                 }
                //             });
                //         }
                //     }
                // });
            }
        });
    },
    position: function () {
        let t = this;
        my.chooseLocation({
            success: function (res) {
                var latitude = res.latitude;
                var longitude = res.longitude;
                var address = res.address;
                t.setData({
                    lat: latitude,
                    lng: longitude,
                    address: address
                });
                t.shop_list(t.data.currentTab, latitude, longitude);
            }
        });
    },
    bindSearch: function (e) {
        let t = this;
        console.log(e.detail.value);
        t.shop_list(t.data.currentTab, t.data.lat, t.data.lng, e.detail.value);
    },
    bindChangeTab(e) {
        let t = this, type = e.currentTarget.dataset.type;
        t.setData({ currentTab: type });
        this.shop_list(type, this.data.lat, this.data.lng);
    },
    bind_livein: function () {
        let t = this;
        let api = moreshopApi.is_apply;
        app.GetUserInfo(function () {
            console.log('获取到的openid', app.globalData.UserInfo.WeiXinOpenId);
            wx.request({
                url: api.url,
                data: {
                    wid: api.data.wid,
                    openid: app.globalData.UserInfo.WeiXinOpenId
                },
                method: 'POST',
                success: function (e) {
                    // console.log('判断是否已申请\uFF1A', e);
                    if (e.data.type == '2') {
                        my.confirm({
                            title: '提示',
                            content: e.data.msg,
                            success: function (res) {
                                if (res.confirm) {
                                    console.log('用户点击确定');
                                    my.navigateTo({ url: '/pages/moreshop_sellerin/moreshop_sellerin' });
                                } else if (res.cancel) {
                                    console.log('用户点击取消');
                                }
                            }
                        });
                    } else if (e.data.status == 'success') {
                        my.confirm({
                            title: '成功',
                            content: e.data.msg,
                            success: function (res) {
                                if (res.confirm) {
                                    console.log('用户点击确定');
                                    t.paySellerIn(app.globalData.UserInfo.WeiXinOpenId);
                                } else{
                                    console.log('用户点击取消');
                                }
                            }
                        });
                    } else if (e.data.status == 'error') {
                        my.confirm({
                            title: '等待',
                            content: e.data.msg,
                            showCancel: 0
                        });
                    } else {
                        console.log(e.data.msg);
                        my.navigateTo({ url: '/pages/moreshop_sellerin/moreshop_sellerin' });
                    }
                }
            });
        });
    },
    bindInShop: function (e) {
        var id = e.currentTarget.dataset.id;
        console.log(id);
        my.navigateTo({ url: '/pages/moreshop_shopdetail/moreshop_shopdetail?id=' + id });
    }
}, templateMethods, moreshop_common));