const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
var app = getApp();
let myTools = require('../../utils/myTools');
let templateMethods = require('../../utils/template_methods.js');
let tc_common = require('../../utils/tc_common');
let tcApi = require('../../api/tcApi');
Page(Object.assign({}, {
  data: {
    changeList: [],
    user: null
  },
  onLoad: function (options) {
    let t = this, ts = t.data;
    this.setMenu(this);
    app.globalData.getTop(t);
    t.loadUser();
    t.loadSetting();
  },
  bindCharge(e) {
    let t = this, ds = e.currentTarget.dataset, vals = e.detail.value;
    console.log(ds);
    let api = tcApi.recharge;
    console.log(api);
    wx.request({
      url: api.url,
      method: api.method,
      data: {
        wid: api.data.wid,
        openid: app.globalData.UserInfo.WeiXinOpenId,
        recharge_money: ds.recharge_money,
        recharge_num: ds.recharge_num
      },
      success: resp => {
        console.log(resp)
        if (resp.data.status == 'success') {
          if (resp.data.data.pay_params.alipay_trade_create_response.code == '10000') {
            my.tradePay({
              tradeNO: resp.data.data.pay_params.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
              success: function (n) {
                console.log(n)
                switch (n.resultCode) {
                  case '9000':
                    t.doRedirectToMyPublish();
                    break;
                  case '4000':
                    my.showToast({
                      type: 'fail',
                      content: '订单支付失败',
                    });
                    break;
                  case '6001':
                    my.showToast({
                      type: 'fail',
                      content: '您取消支付',
                    });
                    break;
                  case '6002':
                    my.showToast({
                      type: 'fail',
                      content: '网络连接出错',
                    });
                    break;
                }
              },
              fail: function (n) {
                console.log(n)
                my.showToast({
                  type: 'fail',
                  content: '订单支付失败',
                });
              }
            });
          } else {
            my.showToast({
              type: 'fail',
              content: resp.data.data.pay_params.alipay_trade_create_response.sub_msg
            })
          }
        } else {
          my.showToast({
            type: 'fail',
            content: '订单支付失败',
          });
        }
      },
      fail: err => {
        console.log(err);
        my.showToast({
          type: 'fail',
          content: '服务器故障',
        });
      }
    });
  },
  doPayment(payObj) {
    let t = this;
    console.log(payObj);
    payObj.success = function () {
      t.loadUser();
    };
    my.tradePay(payObj);
  }
}, templateMethods, tc_common));