const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
var app = getApp();
let myTools = require('../../utils/myTools');
let templateMethods = require('../../utils/template_methods.js');
let tc_common = require('../../utils/tc_common');
let tcApi = require('../../api/tcApi'), $ = require('../../utils/util.js'), api = require('../../api/indexAPI.js');
Page(Object.assign({}, {
    data: {
        msgList: [],
        type: 0,
        lat: null,
        lng: null,
        keyword:''
    },
    onLoad: function (option) {
        my.getSystemInfo({
          success: (res) => {
            console.log(res)
          },
        });
        console.log('xxxx',app.globalData.editData_h)
        if(app.globalData.editData_h == null || app.globalData.editData_h == '' || app.globalData.editData_h == undefined){
          var editData_h  ='同城信息'
        }else{
            var editData_h  = app.globalData.editData_h.tongcheng + '信息'
        }
        let t = this, ts = t.data;
        this.setMenu(this);
        app.globalData.getTop(t);
        this.setData({ editData_h: editData_h });
        my.setNavigationBar({ title: editData_h });
    },
    onShow() {
        console.log(this.data);
        let t = this, ts = t.data;
        app.GetUserInfo(function () {
            t.reloadPage();
        });
    },
    reloadPage() {
        let t = this, ts = t.data;
        t.loadSetting(true);
        t.loadCateList(true);
        t.loadImgList();
        t.loadNoticeList();
        if (t.data.type == 0) {
            t.loadNewest(true);
        } else {
            t.loadNearest(true);
        }
    },
    loadImgList() {
        let t = this;
        let api = tcApi.getImgList;
        wx.showLoading({
            title: 'Loading',
            mask: 1
        });
        wx.request({
            url: api.url,
            method: api.method,
            data: {
                wid: api.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId
            },
            success(resp) {
                let r = resp.data, rd = r.data;
                if (r.status == 'success') {
                    t.setData({ imgList: rd });
                } else {
                    my.confirm({
                        title: '提示',
                        content: r.msg
                    });
                }
            },
            complete() {
                my.hideLoading();
            }
        });
    },
    loadNoticeList() {
        let t = this;
        let api = tcApi.getNoticeList;
        wx.showLoading({
            title: 'Loading',
            mask: 1
        });
        wx.request({
            url: api.url,
            method: api.method,
            data: {
                wid: api.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId
            },
            success(resp) {
                let r = resp.data, rd = r.data;
                if (r.status == 'success') {
                    t.setData({ noticeList: rd });
                } else {
                    my.confirm({
                        title: '提示',
                        content: r.msg
                    });
                }
            },
            complete() {
                my.hideLoading();
            }
        });
    },
    loadNewest(reload = false) {
        let t = this, ts = t.data;
        if (!reload && !t.data.hasMore)
            return false;
        if (reload) {
            t.setData({
                msgList: [],
                hasMore: true,
                page: 0
            });
        }
        let api = tcApi.getMsgByTime;
        wx.request({
            url: api.url,
            method: api.method,
            data: {
                wid: api.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId,
                page: t.data.page
            },
            success(resp) {
                let r = resp.data, rd = r.data;
                console.log(r);
                if (r.status == 'success') {
                    let _msgList = t.data.msgList;
                    _msgList.push(...rd);
                    t.setData({
                        msgList: _msgList,
                        page: t.data.page + 1
                    });
                    if (rd.length == 0) {
                        t.setData({ hasMore: false });
                    }
                } else {
                    wx.showToast({
                        title: r.msg,
                        mask: 1
                    });
                }
            }
        });
    },
    loadNearest(reload = false) {
        let t = this, ts = t.data;
        if (!reload && !t.data.hasMore)
            return false;
        if (reload) {
            t.setData({
                msgList: [],
                hasMore: true,
                page: 0
            });
        }
        let api = tcApi.getMsgByDistance;
        wx.request({
            url: api.url,
            method: api.method,
            data: {
                wid: api.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId,
                page: t.data.page,
                lat: t.data.lat,
                lng: t.data.lng
            },
            success(resp) {
                let r = resp.data, rd = r.data;
                console.log(r);
                if (r.status == 'success') {
                    let _msgList = t.data.msgList;
                    _msgList.push(...rd);
                    t.setData({
                        msgList: _msgList,
                        page: t.data.page + 1
                    });
                    if (rd.length == 0) {
                        t.setData({ hasMore: false });
                    }
                } else {
                    wx.showToast({
                        title: r.msg,
                        mask: 1
                    });
                }
            }
        });
    },
    onAdTap: function (e) {
        const url = e.currentTarget.dataset.url;
        my.navigateTo({ url: '/pages/webView/webView?url=' + url });
    },
    onSwitchTabTap(e) {
        let t = this, ds = e.currentTarget.dataset;
        let type = ds.type;
        if (type != t.data.type) {
            if (type == 0) {
                t.setData({ type: type });
                t.loadNewest(true);
            } else {
                my.getLocation({
                    success(res) {
                        console.log(res);
                        t.setData({
                            type: type,
                            lat: res.latitude,
                            lng: res.longitude
                        });
                        t.loadNearest(true);
                    },
                    fail() {
                        my.confirm({
                            title: '错误',
                            content: '请允许位置信息权限',
                            success(r) {
                                if (r.confirm) {
                                    my.openSetting();
                                }
                            }
                        });
                    }
                });
            }
        }
    },
    onReachBottom: function () {
        let t = this;
        if (t.data.type == 0) {
            console.log('加载最新');
            t.loadNewest();
        } else {
            console.log('加载最近');
            t.loadNearest();
        }
    },
    bindNavToList(e) {
        let t = this, ds = e.currentTarget.dataset;
        console.log(e);
        my.navigateTo({ url: `/pages/tc_lists/tc_lists?type=${ ds.type }&cate_id=${ ds.id }` });
    },
    bindSearch(e) {
        console.log(e);
    },
    onSearchSubmit(e) {
        let t = this, word = t.data.keyword;
        if(word == ''){
            my.showToast({
                type: 'fail',
                content: '搜索关键字不能为空',
            });
            return ;
        }
        my.navigateTo({ url: `/pages/tc_lists/tc_lists?type=search&word=${ word }` });
    },
    onShowSearchTap: function () {
        this.setData({ searchShow: true });
    },
    onHideSearchBlur: function (e) {
        this.setData({
             searchShow: false,
             keyword : e.detail.value
              });
    },
    onPullDownRefresh() {
        this.reloadPage();
    },
    onShareAppMessage: function () {
    },
}, templateMethods, tc_common));