const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
const app = getApp();
const wordsgameApi = require('../../api/wordsgameAPI');
var $ = require('../../utils/util.js');
let WxParse = require('../../wxParse/wxParse.js');
Page({
    data: {
        flag: 0,
        gameInfo: '',
        myInfo: '',
        listflag: 1,
        bcolor_one: '#8441F1',
        otheropenid: ''
    },
    onLoad(e) {
        let t = this;
        console.log('这是onload数据\uFF1A', e);
        this.setData({ tempE: e });
    },
    onShow() {
        this.InitPage(this.data.tempE);
    },
    InitPage: function (resp) {
        let t = this;
        let api = wordsgameApi.getGameInfo;
        console.log('我找找订单id在哪\uFF1A', resp);
        if (resp.id) {
            let helpid = resp.id;
            app.GetUserInfo(function () {
                console.log('获取到的openid', app.globalData.UserInfo.WeiXinOpenId);
                t.setData({
                    otheropenid: app.globalData.UserInfo.WeiXinOpenId,
                    helpid: helpid
                });
            });
            wx.request({
                url: api.url,
                data: {
                    wid: api.data.wid,
                    helpid: helpid
                },
                method: 'POST',
                success: function (r) {
                    if (r.data.status == 'success') {
                        console.log('这次是助力进来的');
                        let game = r.data.data.gameInfo;
                        let user = r.data.data.userInfo;
                        console.log('用户信息', user);
                        if (game['name'] != null) {
                            my.setNavigationBar({ title: game['name'] });
                        }
                        t.setData({
                            gameInfo: game,
                            myInfo: user,
                            prizearr: r.data.data.prizearr,
                            helps: r.data.data.helps
                        });
                        WxParse.wxParse('info', 'html', game.game_ms, t);
                    } else if (r.data.status == 'error') {
                        my.confirm({
                            title: '失败',
                            content: r.data.msg,
                            showCancel: 0
                        });
                    }
                }
            });
        } else {
            wx.request({
                url: api.url,
                data: {
                    wid: api.data.wid,
                    openid: app.globalData.UserInfo.WeiXinOpenId
                },
                method: 'POST',
                success: function (r) {
                    if (r.data.status == 'success') {
                        console.log('所有信息', r.data.data);
                        let game = r.data.data.gameInfo;
                        let user = r.data.data.userInfo;
                        console.log('游戏信息', game);
                        console.log('用户信息', user);
                        if (game['name'] != null) {
                            my.setNavigationBar({ title: game['name'] });
                        }
                        t.setData({
                            gameInfo: game,
                            myInfo: user,
                            prizearr: r.data.data.prizearr,
                            helps: r.data.data.helps
                        });
                        WxParse.wxParse('info', 'html', game.game_ms, t);
                    } else if (r.data.status == 'error') {
                        my.confirm({
                            title: '失败',
                            content: r.data.msg,
                            showCancel: 0
                        });
                    }
                }
            });
        }
    },
    game_guize: function () {
        this.setData({ flag: 1 });
    },
    closeguize: function () {
        this.setData({ flag: 0 });
    },
    kong: function (e) {
        console.log(e);
    },
    move: function () {
    },
    chou: function () {
        let t = this;
        let api = wordsgameApi.getWord;
        wx.request({
            url: api.url,
            data: {
                wid: api.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId,
                gameid: t.data.gameInfo.id
            },
            method: 'POST',
            success: function (e) {
                console.log('您进行了一次抽奖\uFF01', e);
                if (e.data.status == 'error') {
                    my.confirm({
                        title: '失败',
                        content: e.data.msg,
                        showCancel: 0
                    });
                } else if (e.data.status == 'success') {
                    my.confirm({
                        title: '成功',
                        content: e.data.msg + e.data.data.word,
                        showCancel: 0,
                        success: function () {
                            api = wordsgameApi.ifPrize;
                            wx.request({
                                url: api.url,
                                method: 'POST',
                                data: {
                                    wid: api.data.wid,
                                    openid: app.globalData.UserInfo.WeiXinOpenId,
                                    gameid: t.data.gameInfo.id
                                },
                                success: function (resp) {
                                    console.log(resp);
                                    if (resp.data.data) {
                                        my.confirm({
                                            title: '成功',
                                            content: resp.data.msg + resp.data.data,
                                            showCancel: 0
                                        });
                                    }
                                }
                            });
                        }
                    });
                    t.setData({ myInfo: e.data.data });
                }
            }
        });
    },
    list_one: function () {
        this.setData({
            listflag: 1,
            bcolor_one: '#8441F1',
            bcolor_two: '#490AB3',
            bcolor_three: '#490AB3'
        });
    },
    list_two: function () {
        this.setData({
            listflag: 2,
            bcolor_two: '#8441F1',
            bcolor_one: '#490AB3',
            bcolor_three: '#490AB3'
        });
    },
    list_three: function () {
        this.setData({
            listflag: 3,
            bcolor_three: '#8441F1',
            bcolor_one: '#490AB3',
            bcolor_two: '#490AB3'
        });
    },
    onShareAppMessage: function () {
        let t = this;
        return {
            desc: '快来帮我助力吧\uFF01',
            path: '/pages/wordsgame/wordsgame?id=' + t.data.myInfo.id,
            success: function () {
                console.log('我已经分享啦~\u3002');
            },
            fail: function () {
                console.log('我分享失败了\uFF01');
                my.confirm({
                    title: '错误',
                    content: '分享错误',
                    showCancel: false,
                    success() {
                        my.navigateBack();
                    }
                });
            }
        };
    },
    helpchou: function () {
        let t = this;
        let api = wordsgameApi.getHelpInfo;
        wx.request({
            url: api.url,
            method: 'POST',
            data: {
                wid: api.data.wid,
                otheropenid: t.data.otheropenid,
                orderid: t.data.helpid
            },
            success: function (e) {
                console.log(e);
                if (e.data.status == 'error') {
                    my.confirm({
                        title: '失败',
                        content: e.data.msg,
                        showCancel: false
                    });
                }
                if (e.data.status == 'success') {
                    my.confirm({
                        title: '成功',
                        content: e.data.msg + e.data.data,
                        showCancel: false,
                        success: function () {
                            api = wordsgameApi.ifPrize;
                            wx.request({
                                url: api.url,
                                method: 'POST',
                                data: {
                                    wid: api.data.wid,
                                    openid: app.globalData.UserInfo.WeiXinOpenId,
                                    gameid: t.data.gameInfo.id
                                },
                                success: function (resp) {
                                    console.log(resp);
                                    if (resp.data.data) {
                                        my.confirm({
                                            title: '成功',
                                            content: '您帮好友集齐了所有字\uFF0C快去提醒他兑奖吧\uFF01',
                                            showCancel: 0,
                                            success: function () {
                                                my.navigateTo({ url: '/pages/wordsgame/wordsgame?id=' + t.data.myInfo.id });
                                            }
                                        });
                                    } else {
                                        my.navigateTo({ url: '/pages/wordsgame/wordsgame?id=' + t.data.myInfo.id });
                                    }
                                }
                            });
                        }
                    });
                }
            }
        });
    }
});