const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
let app = getApp();
let zhctApi = require('../../api/zhctAPI');
let myTools = require('../../utils/myTools');
let templateMethods = require('../../utils/template_methods.js');
Page(Object.assign({}, {
    data: {
        wm_price: 0,
        address: null,
        total_pkg_price: 0,
        is_show_quan_layer: false,
        couponList: [],
        coupon_id: 0,
        coupon_name: '不使用优惠券',
        coupon_discount: 0,
        total_price2: '...',
        remark: '',
        show_payMethod: true,
        empty_cart : false,
        true : true
    },
    onLoad: function (options) {
        console.log(options,'看看看');
        let t = this, td = t.data;
        this.setMenu(this);
        app.globalData.getTop();
        let main_color = wx.getStorageSync('zhct_main_color');
        if (!main_color) {
            wx.setStorageSync('main_color', '#fe5848');
            main_color = '#fe5848';
        }
        this.setData({
            main_color: main_color,
            editData_h: app.globalData.editData_h
        });
        t.setData({
            type: options.type,
            money: options.money,
            tableId: options.tableId
        });
        let api = zhctApi.getInfo;
        wx.request({
            url: api.url,
            data: { wid: api.data.wid },
            method: 'POST',
            success(resp) {
                let rData = resp.data;
                if (rData.status != 'success') {
                    my.confirm({
                        title: '错误',
                        content: rData.msg,
                        showCancel: 0
                    });
                } else {
                    let setting = rData.data;
                    let num_field_ls = [
                        'wm_min_price',
                        'wm_radius',
                        'wm_base_price',
                        'wm_base_distance',
                        'wm_ext_price',
                        'first_order_discount',
                        'lng',
                        'lat'
                    ];
                    
                    for (let i = 0; i < num_field_ls.length; ++i) {
                        setting[num_field_ls[i]] = parseFloat(setting[num_field_ls[i]]);
                    }
                    t.setData({ setting: setting });
                    if (td.type == 1) {
                        t.getLocInfo(t.loadCart);
                    } else {
                        t.loadCart();
                    }
                }
            },
            fail() {
                wx.showToast({
                    title: '网络错误',
                    mask: 1
                });
            }
        });
    },
    onShow: function(){
      //收货地址
        let res = my.getStorageSync({ key: 'selectarea' });
        if(res && res.data != undefined){
            console.log(res.data)
            var s = res.data.FullAddress;
            var ss = s.split(" ");
            var address={
                'userName':res.data.receiver,
                'telNumber':res.data.phone,
                'FullAddress':res.data.FullAddress,
                'provinceName' : ss[0],
                'cityName' : ss[1],
                'countyName' : ss[2],
                'detailInfo' : ss[3]
            }
            this.setData({
                    address:address
                
            })
        }
    },
    //智慧餐厅购物车缓存
    getcache(){
      var t = this, td = t.data;
      var cart = my.getStorageSync({ key: 'zhct_cart' });
          cart = cart.data;
      
      var cart_num = my.getStorageSync({ key: 'zhct_cart_num' });
          cart_num = cart_num.data;
      var cart_price = my.getStorageSync({ key: 'zhct_cart_price' });
          cart_price = cart_price.data;
      if (cart_price == '' || cart_price == undefined || cart_price == null || cart_price == 0){
          cart_price = this.data.money;
      }
      t.setData({
        cart: cart || [],
        cart_num: cart_num || 0,
        cart_price: cart_price || 0
      });
      var total_pkg_price = 0;
      if (td.type == 1) {
        for (var i = 0; i < cart.length; i++) {
          total_pkg_price += parseFloat(cart[i].prod.pkg_price) * parseInt(cart[i].num);
        }
      }
      t.setData({ total_pkg_price: myTools.toMoney(total_pkg_price) });
        if (cart.length > 0) {
          t.setData({ empty_cart: true });
        }
      var total_price = myTools.toMoney(parseFloat(cart_price) + total_pkg_price + td.wm_price);
      return total_price;
    },
    loadCart() {
      var total_price = this.getcache();
      console.log('获取商品失败', total_price)
      var t = this, td = t.data;
      let yhApi = zhctApi.getYouhui;
            //请求数据继续
              wx.request({
                url: yhApi.url,
                method: yhApi.method,
                data: {
                  wid: yhApi.data.wid,
                  openid: app.globalData.UserInfo.WeiXinOpenId,
                  total_price: total_price
                },
                success(resp) {
                  let r = resp.data, data = r.data;
                  if (r.status == 'success') {
                    var discount = parseFloat(data.first.discount);
                    var fulldiscount = parseFloat(data.full.discount);
                    t.setData({
                      first_discount: data.first.status,
                      first_discount_price: parseFloat(data.first.discount),
                      full_discount: data.full.status,
                      full_discount_name: data.full.name,
                      full_discount_price: parseFloat(data.full.discount)
                    });

                    total_price = myTools.toMoney(total_price - discount - fulldiscount);
                    console.log('ncjfuhfuhuf', total_price)
                    if (total_price < 0)
                      total_price = 0;
                    t.setData({
                      total_price: total_price,
                      total_price2: total_price
                    });
                  } else {
                    my.confirm({
                      title: '错误',
                      content: r.msg,
                      showCancel: false,
                      success() {
                        my.navigateBack();
                      }
                    });
                  }
                }
              });
    },
    getLocInfo(e = null) {
        let t = this, td = t.data;
        my.getLocation({
            success(res) {
                console.log(res);
                let lat1 = res.latitude;
                let lng1 = res.longitude;
                let distance = myTools.geoDistance(lat1, lng1, td.setting.lat, td.setting.lng);
                let setDt = {
                    lat: lat1,
                    lng: lng1,
                    distance: distance
                };
                let radius = parseFloat(td.setting.wm_radius);
                if (radius > 0 && distance > radius) {
                    setDt.can_wm = false;
                    t.setData(setDt);
                    my.confirm({
                        title: '提示',
                        content: '您离店家太远\uFF0C' + this.data.editData_h.waimai + '小哥送不到哦',
                        showCancel: false
                    });
                } else {
                    setDt.can_wm = true;
                    let set = td.setting;
                    let base_price = parseFloat(set.wm_base_price);
                    let ext_distance = parseFloat(distance - parseFloat(set.wm_base_distance));
                    if (ext_distance > 0) {
                        base_price += parseFloat(set.wm_ext_price) * ext_distance;
                    }
                    setDt.wm_price = myTools.toMoney(base_price);
                    t.setData(setDt);
                    e && e();
                }
            },
            fail(err) {
                my.confirm({
                    title: '提示',
                    content: '请允许我们获取位置信息\uFF0C以方便进行配送\uFF0C否则无法进行' + this.data.editData_h.waimai + '下单',
                    showCancel: false,
                    success() {
                        my.openSetting({
                            success: au => {
                                t.getLocInfo();
                            }
                        });
                    }
                });
            }
        });
    },
    select_address_bind: function () {
        my.navigateTo({
            url: '/pages/shopaddress/shopaddress?selectarea=1'
        })
        // let t = this, td = t.data;
        // my.chooseAddress({
        //     success(res) {
        //         console.log(res);
        //         t.setData({ address: res });
        //     },
        //     fail() {
        //         my.confirm({
        //             title: '提示',
        //             content: '请允许我们获取您的收货地址\uFF0C否则无法正常下单',
        //             success(eee) {
        //                 if (eee.confirm) {
        //                     my.openSetting({
        //                         success: res => {
        //                             t.select_address_bind();
        //                         }
        //                     });
        //                 } else if (eee.cancel) {
        //                 }
        //             }
        //         });
        //     }
        // });
    },
    input_beizhu(e) {
        let t = this, td = t.data;
        let val = e.detail.value;
        t.setData({ remark: val });
    },
    go_select_dai_bind: function () {
        let t = this, td = t.data;
        let myCpApi = zhctApi.getMyCoupon;
        wx.request({
            url: myCpApi.url,
            method: myCpApi.method,
            data: {
                wid: myCpApi.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId
            },
            success(res) {
                let rData = res.data, data = rData.data;
                if (!data)
                    data = [];
                t.setData({
                    couponList: data,
                    is_show_quan_layer: true
                });
            }
        });
    },
    go_select_dai__hide_bind: function () {
        var that = this;
        that.setData({ is_show_quan_layer: !that.data.is_show_quan_layer });
    },
    quan_select_one_bind: function (e) {
        let t = this, td = t.data, ds = e.currentTarget.dataset;
        if (ds.id == 0) {
            var coupon_discount = 0;
            t.setData({
                is_show_quan_layer: false,
                coupon_id: 0,
                coupon_name: '不使用优惠券',
                coupon_discount: 0
            });
        } else {
            var coupon_discount = myTools.toMoney(parseFloat(ds.price));
            t.setData({
                is_show_quan_layer: false,
                coupon_id: ds.id,
                coupon_name: ds.name,
                coupon_discount: myTools.toMoney(parseFloat(ds.price))
            });
        }
        let new_total_price2 = myTools.toMoney(td.total_price - coupon_discount);
        console.log('new_total_price2',new_total_price2)
        new_total_price2 = new_total_price2 <= 0 ? 0 : new_total_price2;
        t.setData({ total_price2: new_total_price2 });
    },
    formSubmit: function (e) {
        let t = this, td = t.data;
        let api = zhctApi.submitOrder;
        let form_id = e.detail.formId;
        let formData = {
            wid: api.data.wid,
            openid: app.globalData.UserInfo.WeiXinOpenId,
            type: td.type,
            remark: td.remark,
            form_id: form_id,
            cart: td.cart,
            coupon_id: td.coupon_id
        };
        if (td.type == 0) {
            formData.tableId = td.tableId;
        } else if (td.type == 1) {
            if (!td.address) {
                t.select_address_bind();
                return false;
            }
            formData.address = td.address;
            formData.lat = td.lat;
            formData.lng = td.lng;
            formData.wm_price = td.wm_price;
        }
        console.log(formData);
            // my.showLoading({
            // content: '支付中...',
            // delay: 1500,
            // });
        console.log(api);
        wx.request({
            url: api.url,
            method: api.method,
            data: formData,
            success(resp) {
                my.removeStorageSync({key:'zhct_cart'});
                my.removeStorageSync({key:'zhct_cart_num'});
                my.removeStorageSync({key:'zhct_cart_price'});
                // my.hideLoading();
                console.log('支付成功回调',resp)
                if(resp.data.data.alipay_trade_create_response.code == '10000'){
                                my.tradePay({
                                    tradeNO: resp.data.data.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
                                    success: function (n) {
                                    switch(n.resultCode){
                                        case '9000' :
                                            my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });
                                        break;
                                        case '4000':
                                            my.showToast({
                                            type: 'fail',
                                            content: '订单支付失败',
                                        success() {
                                                my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });
                                                }
                                            });
                                        break;
                                        case '6001':
                                            my.showToast({
                                            type: 'fail',
                                            content: '您取消支付',
                                        success() {
                                                my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });
                                                }
                                            });                    
                                        break;
                                        case '6002' :
                                            my.showToast({
                                            type: 'fail',
                                            content: '网络连接出错',
                                        success() {
                                                my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });
                                                }                                            
                                            });

                                        break;                    
                                    }
                                    },
                                    fail: function (n) {
                                        my.showToast({
                                        type: 'fail',
                                        content: '订单支付失败',
                                        });                 
                                    }
                                });
                            }else{
                                my.showToast({
                                    type:'fail',
                                    content:resp.data.data.alipay_trade_create_response.sub_msg
                                })
                            }
                // my.tradePay({
                // orderStr: res.data.data, //完整的支付参数拼接成的字符串，从服务端获取
                // success: (res) => {
                //     my.removeStorageSync({key:'zhct_cart'});
                //     my.removeStorageSync({key:'zhct_cart_num'});
                //     my.removeStorageSync({key:'zhct_cart_price'});
                // switch(res.resultCode){
                //     case '9000' :
                //        my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });
                //     break;
                //     case '4000':
                //         my.showToast({
                //         type: 'fail',
                //         content: '订单支付失败',
                //         });
                //         my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });
                //     break;
                //     case '6001':
                //         my.showToast({
                //         type: 'fail',
                //         content: '您取消支付',
                //         }); 
                //         my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });                   
                //     break;
                //     case '6002' :
                //         my.showToast({
                //         type: 'fail',
                //         content: '网络连接出错',
                //         });
                //     break;                    
                // }
                // },
                // fail: (res) => {
                //     my.showToast({
                //     type: 'fail',
                //     content: '支付失败',
                //     });
                // }
                // });

                // let r = res.data, payObj = r.data;
                // if (r.status == 'success') {
                //     my.removeStorageSync({key:'zhct_cart'});
                //     my.removeStorageSync({key:'zhct_cart_num'});
                //     my.removeStorageSync({key:'zhct_cart_price'});
                //     if (payObj.need_pay == false) {
                //         console.log('支付成功');
                //         my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });
                //         return true;
                //     }
                //     payObj.success = function (res) {
                //         console.log(res);
                //         my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });
                //     };
                //     payObj.fail = function () {
                //         my.confirm({
                //             title: '提示',
                //             content: '支付失败\uFF0C请重新支付',
                //             showCancel: false,
                //             success() {
                //                 my.redirectTo({ url: '/pages/zhct_orderlist/zhct_orderlist' });
                //             }
                //         });
                //     };
                //     my.tradePay(payObj);

                // } else {
                //     my.confirm({
                //         title: '提示',
                //         content: r.msg,
                //         showCancel: false
                //     });
                // }
            },
            fail(resp) {
                    console.log(resp)
                my.confirm({
                    title: '错误',
                    content: '网络错误',
                    showCancel: false
                });
            },
            complete() {
                my.hideLoading();
            }
        });
    },
    show_payMethod: function () {
        let t = this;
        t.setData({ show_payMethod: false });
    },
    hide_payMethod: function () {
        let t = this;
        t.setData({ show_payMethod: true });
    },
    payMethod_Submit: function (e) {
        let t = this, td = t.data;
        let api = zhctApi.submitVipOrder;
        let form_id = e.detail.formId;
        let formData = {
            wid: api.data.wid,
            openid: app.globalData.UserInfo.WeiXinOpenId,
            type: td.type,
            remark: td.remark,
            form_id: form_id,
            cart: td.cart,
            coupon_id: td.coupon_id
        };
        if (td.type == 0) {
            formData.tableId = td.tableId;
        } else if (td.type == 1) {
            if (!td.address) {
                t.select_address_bind();
                return false;
            }
            formData.address = td.address;
            formData.lat = td.lat;
            formData.lng = td.lng;
            formData.wm_price = td.wm_price;
        }
        console.log(formData);
        wx.showLoading({
            title: '正在提交...',
            mask: true
        });
        wx.request({
            url: api.url,
            method: api.method,
            data: formData,
            success(res) {
                let r = res.data, payObj = r.data;
                console.log(res);
                console.log(payObj);
                if (r.status == 'success') {
                    my.removeStorageSync('zhct_cart');
                    my.removeStorageSync('zhct_cart_num');
                    my.removeStorageSync('zhct_cart_price');
                    my.redirectTo({ url: '/pages/payment/payment?type=zhct&orderid=' + payObj });
                } else {
                    my.confirm({
                        title: '提示',
                        content: r.msg,
                        showCancel: false
                    });
                }
            },
            fail() {
                my.confirm({
                    title: '错误',
                    content: '网络错误',
                    showCancel: false
                });
            },
            complete() {
                my.hideLoading();
            }
        });
    }
}, templateMethods));