/*! www.weidogs.cn
 *author:<QQ3105920978> */
define("dist/design/init", ["$", "dist/application/app", "./design", "jquery_ui", "./config", "./template/item.html", "./template/list-item.html", "./template/list-page.html", "./template", "./menu"], function (a) {
    "use strict"; {
        var b = (a("$"), a("dist/application/app"));
        b.config, b.method
    }
    a("./design"), a("./template"), a("./menu")
}), define("dist/design/design", ["$", "dist/application/app", "jquery_ui", "dist/design/config"], function (a) {
    "use strict";
    var b = a("$"),
        c = a("dist/application/app"),
        d = c.config,
        e = c.method;
    a("jquery_ui");
    var f = a("dist/design/config"),
        g = a("dist/design/template/list-item.html"),
        h = (a("dist/design/template/list-page.html"), function () {
            this.widget = b(".js_widget"), this.phone_container = b("#js_phone_container"), this.config_container = b("#js_config_container"), this.config_container_title = b("#js_config_container_title"), this.config_load = b(".js_load"), this.dropped = !1, this.config = window.design_config, this.action = this.actionHandler(), this.init()
        });
    h.prototype.init = function () {
        this.dragHandler();
        var a = this;
        b(document).on("click", ".js_del_item", function (c) {
            c && c.stopPropagation();
            var f = b(this).closest(".list-item");
            f.fadeOut(function () {
                f.remove()
            });
            var g = {
                wid: f.attr("wid")
            };
            e.postd(a.config.widget_del, function (a) {
                !d.issucceed(a) && d.msg.error(a.message || d.lang.removeError, a.url)
            }, g)
        }), b(document).on("click", ".list-item", function () {
            a.showConfig(b(this).attr("wid")), a.config_container_title.html("（" + b(this).data("title") + "）")
        })
    }, h.prototype.actionHandler = function () {
        var a = this;
        return {
            add_widget: function (b) {
                var c = {
                    name: b.data("name")
                };
                e.postd(a.config.widget_add, function (e) {
                    d.issucceed(e) ? (a.getWidgetHtml(b, e.wid, c.name), a.config_container_title.html("（" + b.data("title") + "）")) : d.msg.error(e.message || d.lang.widgetError, e.url)
                }, c)
            }
        }
    }, h.prototype.getWidgetHtml = function (a, c, d) {
        var e = b(g.format(this.config.widget_get.format(c, d), c));
        a.append(e.html()), a.attr("wid", c).removeData("name"), this.showConfig(c)
    }, h.prototype.showConfig = function (c) {
        var e = this;
        b(".js_tips").hide(), c && function () {
            var g = b(".config_panel form"),
                h = b('.config_panel form[wid="' + c + '"]');
            e.config_load.removeClass("hd"), h.length > 0 ? (h.show(), h.siblings("form").hide(), e.config_load.addClass("hd")) : (b.ajax(e.config.config_get.format(c), {
                type: "get",
                dataType: "html"
            }).done(function (c) {
                var d = b(c);
                e.config_container.append(d), d.length > 0 && a.async("dist/form/init", function (a) {
                    b("button[type='submit']", d).removeAttr("disabled"), a.init(d), f.init(d)
                })
            }).fail(function () {
                d.msg.info(d.lang.templateConfigLoadError)
            }).always(function () {
                e.config_load.addClass("hd")
            }), g.hide())
        }()
    }, h.prototype.getPageHtml = function (a) {
        var c = this;
        a && b.each(a, function (a, d) {
            var e = b("div[data-name=" + d.name + "]").data("title");
            c.phone_container.append(g.format(c.config.widget_get.format(d.id, d.name), d.id, e))
        })
    }, h.prototype.updateWidget = function () {
        var a = b(".list-item", this.phone_container),
            c = b.map(a, function (a) {
                return b(a).attr("wid")
            });
        c && e.postd(window.design_config.widget_update, function () {}, {
            data: window.JSON.stringify(c)
        })
    }, h.prototype.dragHandler = function () {
        var a = this;
        this.widget.draggable({
            connectToSortable: a.phone_container,
            revert: "invalid",
            helper: "clone",
            cursor: "move",
            scroll: !1
        }), this.phone_container.droppable({
            accept: ".widget",
            greedy: !0,
            drop: function (c, d) {
                a.dropped = !1, a.dropOpt(b(d.draggable))
            }
        }).sortable({
            revert: !0,
            placeholder: "place_holder",
            axis: "y",
            opacity: .5,
            appendTo: a.phone_container,
            connectWith: "#js_widget_list",
            cancel: ":input,button,.list-item-del",
            start: function () {
                a.dropped = !0
            }, stop: function () {
                a.updateWidget()
            }
        })
    }, h.prototype.dropOpt = function (a) {
        a.data();
        a.removeAttr("class").addClass("list-item").empty(), this.action.add_widget(a)
    }, window.design_config && function () {
        var a = new h;
        window.design_config.data && a.getPageHtml(window.design_config.data), window.setWidget = function (a) {
            var c = b('.list-item[wid="' + a.wid + '"]');
            b("iframe,.list-item-body,.list-item-cover", c).height(a.height)
        }, window.updateWidget = function (a) {
            var c = b('.list-item[wid="' + a + '"] iframe');
            c.attr("src", c.attr("src"))
        }
    }()
}), define("dist/design/config", ["$", "dist/application/app"], function (a, b) {
    "use strict"; {
        var c = a("$"),
            d = a("dist/application/app"),
            e = d.config;
        d.method
    }
    b.init = function (b) {
		var x=4;
        var d = c(".js_blockitems"),dc = c(".js_blockitemes");
        dc.length && function(){
            a.async(["kindeditor", "assets/kindeditor/themes/default/default.css"], function () {
                var a = KindEditor.editor({
                    allowFileManager: !0
                });
            c(b).on("click", ".thumb-selects", function () {
                    var b = c(this),
                        d = b.find("input[type=text]"),
                        e = b.find("img"),
                        f = d.val();
                    a.loadPlugin("image", function () {
                        a.plugin.imageDialog({
                            imageUrl: f,
                            clickFn: function (c) {
                                d.val(c).hide(), e.length > 0 && e.attr("src", c).removeClass("hide"), b.addClass("selected"), e.removeClass("thumb-default-img"), a.hideDialog()
                            }
                        })
                    })
                })
             }),c(b).on("click", ".js_test_add", function () {
				x++; 
                var a = c(".js_blockitemes"),
                    dc = a.find(".blockitem").length;
                    console.log(d)
                5 > dc ? c(".js_blockitemes", b).append(template("blockitemp_tmp", {
                    index: x
                })) : e.msg.info(e.lang.maxItem5)
            }),c(b).on("click", ".js_del_groups", function () {
                var a = c(this),
                    b = a.closest(".blockitem");
                if (b.siblings().length > 0) {
                    var d = b.find(".selected").length > 0,
                        f = function () {
                            b.fadeOut(function () {
                                b.remove()
                            })
                        };
                    d && e.msg.msgbox.confirm(e.lang.confirmRemove, function (a) {
                        a && f()
                    }), !d && f()
                } else e.msg.info(e.lang.minOneItem)
            })
        }();
        d.length && function () {
            a.async(["kindeditor", "assets/kindeditor/themes/default/default.css"], function () {
                var a = KindEditor.editor({
                    allowFileManager: !0
                });
                c(b).on("click", ".thumb-select", function () {
                    var b = c(this),
                        d = b.find("input[type=text]"),
                        e = b.find("img"),
                        f = d.val();
                    a.loadPlugin("image", function () {
                        a.plugin.imageDialog({
                            imageUrl: f,
                            clickFn: function (c) {
                                d.val(c).hide(), e.length > 0 && e.attr("src", c).removeClass("hide"), b.addClass("selected"), e.removeClass("thumb-default-img"), a.hideDialog()
                            }
                        })
                    })
                })
            }), c(b).on("click", ".js_blockitems_add", function () {
                var a = c(".js_blockitems"),
                    d = a.find(".blockitem").length;
                10 > d ? c(".js_blockitems", b).append(template("blockitem_tmp", {
                    index: d
                })) : e.msg.info(e.lang.maxItem10)
            }),c(b).on("change", ".js_nav_type", function () {
                var a = c(this).find("option:selected"),
                    b = a.data("type"),
                    d = "inner" == b,
                    e = c(this).closest(".blockitem");
                e.find("input.error").removeClass("error"), e.find("span.error").remove(), c(".js_nav_page", e).toggle(d), c(".js_nav_text", e).toggle(!d)
            }), c(b).on("click", ".js_del_group", function () {
                var a = c(this),
                    b = a.closest(".blockitem");
                if (b.siblings().length > 0) {
                    var d = b.find(".selected").length > 0,
                        f = function () {
                            b.fadeOut(function () {
                                b.remove()
                            })
                        };
                    d && e.msg.msgbox.confirm(e.lang.confirmRemove, function (a) {
                        a && f()
                    }), !d && f()
                } else e.msg.info(e.lang.minOneItem)
            })
        }();
        var f = c(".js_item_list", b);
        f.length && function () {
            var d = c(".js_make_item", c(".js_item_modal_fn")),
                g = c(".js_add_item", b);
            g.on("click", function () {
                c(".js_item_modal_fn").find("input[type=checkbox]").prop("checked", !1), c(".dd-item", f).each(function () {
                    var a = c(this),
                        b = a.find("input[type=hidden]").val();
                    c(".js_item_modal_fn").find("input[type=checkbox][value=" + b + "]").prop("checked", !0)
                }), c(".js_item_modal_fn").modal("show")
            });
            var h = function () {
                f.nestable({
                    maxDepth: 1
                }), c(".dd-handle a", b).on("mousedown", function (a) {
                    a.stopPropagation()
                })
            };
            a.async("nestable", h), d.on("click", function () {
                {
                    var d = c('.js_item_modal_fn input[name="item"]:checked');
                    d.length
                }
                d.length < 5 ? (c("ol", f).html(""), d.each(function () {
                    var d = c(".dd-item", b).length,
                        e = c(this),
                        g = {
                            name: e.data("name"),
                            val: e.val(),
                            index: d,
                            id: d
                        };
                    c("ol", f).append(template.compile(a("dist/design/template/item.html"))(g))
                }), c(".js_item_modal_fn").modal("hide"), h()) : e.msg.info(e.lang.maxFnLength)
            })
        }();
        var g = c(".js_classes_list", b);
        g.length && function () {
            {
                var d = c(".js_make_classes"),
                    e = c(".js_add_classes_item", b);
                b.attr("wid")
            }
            e.on("click", function () {
                c("#js_classes_modal").find("input[type=checkbox]").prop("checked", !1), c(".dd-item", g).each(function () {
                    var a = c(this),
                        b = a.find("input[type=hidden]").val();
                    c("#js_classes_modal").find("input[type=checkbox][value=" + b + "]").prop("checked", !0)
                }), c("#js_classes_modal").modal("show")
            });
            var f = function () {
                g.nestable({
                    maxDepth: 1
                }), c(".dd-handle a", b).on("mousedown", function (a) {
                    a.stopPropagation()
                })
            };
            a.async("nestable", f), d.on("click", function () {
                {
                    var a = c('#js_classes_modal input[name="item"]:checked');
                    a.length
                }
                c("ol", g).html(""), a.each(function () {
                    var a = c(".dd-item", b).length,
                        d = c(this),
                        e = {
                            name: d.data("name"),
                            val: d.val(),
                            index: a,
                            id: a
                        };
                    c("ol", g).append(template("js_classes_html", e))
                }), c("#js_classes_modal").modal("hide"), f()
            })
        }(), c(b).on("change", ".js_link_type", function () {
            var a = c(this).find("option:selected"),
                b = a.data("type"),
                d = "inner" == b,
                e = "not" == b,
                f = c(this).closest(".row");
            f.find("input.error").removeClass("error"), f.find("span.error").remove(), e && c(".js_link_page", f).add(".js_link_text", f).hide(), e || (c(".js_link_page", f).toggle(d), c(".js_link_text", f).toggle(!d))
        });
        var h = c('[data-toggle="select2"]', b);
        h.length > 0 && a.async(["select2", "style/plugins/select2/select2.min.css"], function () {
            h.each(function () {
                {
                    var a = c(this),
                        b = {},
                        d = a.data("maxcount"),
                        e = a.data("chang");
                    a.data("remote") || a.attr("href")
                }
                if (d && (b.maximumSelectionSize = d), e) switch (e) {
                case "submit":
                    a.on("change", function () {
                        a.closest("form ").submit()
                    })
                }
                a.select2(b)
            })
        });
        var i = c(".js_selecttype", b);
        if (i.length) {
            var j = c(".js_selecttype:checked", b),
                k = j.data("type");
            c(".js_selecttype_show", b).addClass("hide"), c(".js_" + k, b).removeClass("hide"), i.click(function () {
                var a = c(this),
                    d = a.data("type"),
                    e = a.prop("checked");
                e && (c(".js_selecttype_show", b).addClass("hide"), c(".js_" + d, b).removeClass("hide"))
            })
        }
        c('[data-toggle="selectGoodss"]').length > 0 && a.async("dist/selectgoods/init", function (a) {
            a.init(b)
        }), c(b).on("click", "[data-toggle='allLink']", function () {
            var d = c(this);
            a.async("dist/link/init", function (a) {
                a.init(b, d)
            })
        });
        var l = c(".js_styles_select", b);
        l.length && function () {
            var a = c(".js_styles_select:checked", b),
                d = a.data("type"),
                e = c(".js_title_link", b),
                f = c(".js_title_link_input", b),
                g = c(".js_link_address", b);
            "link" == d && (e.removeClass("hide"), f.val().length > 0 && g.removeClass("hide")), l.click(function () {
                var a = c(this).data("type");
                "link" == a ? (e.removeClass("hide"), f.val().length > 0 && g.removeClass("hide")) : (e.addClass("hide"), g.addClass("hide"))
            }), f.keyup(function () {
                var a = c(this).val();
                a.length > 0 ? g.removeClass("hide") : g.addClass("hide")
            })
        }();
        var m = c(".js_auto_select", b);
        m.length && function () {
            var a = c(".js_auto_select option:selected", b),
                d = a.data("type"),
                e = c(".js_auto_classes", b),
                f = c(".js_auto_actity", b);
            "classes" == d ? (e.removeClass("hide"), f.addClass("hide")) : "actity" == d ? (e.addClass("hide"), f.removeClass("hide")) : (e.addClass("hide"), f.addClass("hide")), m.change(function () {
                var a = c(this).find("option:selected").data("type");
                "classes" == a ? (e.removeClass("hide"), f.addClass("hide")) : "actity" == a ? (e.addClass("hide"), f.removeClass("hide")) : (e.addClass("hide"), f.addClass("hide"))
            })
        }();
        var n = c(".js_link_type_select", b);
        n.length && function () {
            c(".js_link_type_select:checked", b).each(function () {
                var a = c(this),
                    b = a.closest(".row"),
                    d = a.data("type");
                c(".js_link_type_container", b).addClass("hide"), c(".js_link_type_" + d, b).removeClass("hide")
            })
        }(), c(b).on("click", ".js_link_type_select", function () {
            var a = c(this),
                b = a.closest(".row"),
                d = a.data("type");
            c(".js_link_type_container", b).addClass("hide"), c(".js_link_type_" + d, b).removeClass("hide")
        })
    }
}), define("dist/design/template/item.html", [], '<li class="dd-item" data-id="{{id}}">\n    <div class="dd-handle">\n        {{name}}\n        <input type="hidden" value="{{val}}" name="item[{{index}}]" />\n        <span class="pull-right">\n            <a href="javascript:;" class="js_remove_dd_item"><i class="fa fa-trash-o icon-muted fa-fw"></i></a>\n        </span>\n    </div>\n</li>\n'), define("dist/design/template/list-item.html", [], '<div class="list-item" wid="{1}" data-title="{2}">\n    <div class="list-item-body">\n        <div class="list-item-cover"></div>\n        <iframe src="{0}" scrolling="no" frameborder="0"></iframe>\n        <!-- <div class="item-layer"> </div> -->\n         <!-- <a href="javascript:;" class="list-item-ed js_ed_item" title="编辑"><i class="fa fa-edit  fa-fw"></i></a> -->\n        <a href="javascript:;" class="list-item-del js_del_item" title="移除"><i class="fa fa-trash-o  fa-fw"></i></a>\n\n    </div>\n</div>\n'), define("dist/design/template/list-page.html", [], '<div class="list-page" wid="{1}">\n    <div class="list-page-body">\n        <div class="list-page-cover"></div>\n        <iframe src="{0}" scrolling="no" frameborder="0"></iframe> \n    </div>\n</div>\n'), define("dist/design/template", ["$", "dist/application/app"], function (a) {
    "use strict";
    var b = a("$"),
        c = a("dist/application/app"),
        d = c.config,
        e = c.method;
    window.change_template_path && function () {
        var a = function (a) {
            var b = a.attr("name"),
                c = a.val();
            a.closest("li").addClass("selected").siblings().removeClass("selected"), b && c && e.postd(window.change_template_path, function (a) {
                d.issucceed(a) || d.msg.error(a.message || d.lang.modifyError, a.url)
            }, {
                page: b,
                selected: c
            })
        };
        b(document).on("click", ".list-template li", function () {
            var c = b(this).find('input[type="radio"]');
            c.prop("checked", "checked"), a(c)
        })
    }()
}), define("dist/design/menu", ["$", "dist/application/app"], function (a) {
    "use strict";
    var b = a("$"),
        c = a("dist/application/app"),
        d = c.config,
        e = (c.method, b("#js_item_list"));
    e.length && function () {
        var c = b("#js_make_item"),
            f = b("#js_add_item");
        f.on("click", function () {
            b("#js_item_modal").find("input[type=checkbox]").prop("checked", !1), b(".dd-item", e).each(function () {
                var a = b(this),
                    c = a.find("input[type=hidden]:first").val();
                b("#js_item_modal").find("input[type=checkbox][value=" + c + "]").prop("checked", !0)
            }), b("#js_item_modal").modal("show")
        });
        var g = function () {
            e.nestable({
                maxDepth: 1
            }), b(".dd-handle a").on("mousedown", function (a) {
                a.stopPropagation()
            })
        };
        a.async("nestable", g), c.on("click", function () {
            b("#noitems:visible").addClass("hd");
            var a = b('#js_item_modal input[name="item"]:checked');
            a.length < 6 ? (b("ol", e).html(""), a.each(function () {
                var a = b(".dd-item").length,
                    c = b(this),
                    d = {
                        name: c.data("name"),
                        val: c.val(),
                        index: a,
                        id: a
                    };
                b("ol", e).append(template("js_item_html", d))
            }), b("#js_item_modal").modal("hide"), g()) : d.msg.info(d.lang.maxNavLength)
        });
        var h = b("#js_items");
        b('button[type="submit"]').on("click", function () {
            h.val(window.JSON.stringify(e.nestable("serialize")))
        })
    }()
});