<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title><?php echo $html_title;?></title>
<link href="__ROOT__/css/install.css" rel="stylesheet" type="text/css">
<link href="__ROOT__/css/perfect-scrollbar.min.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="__ROOT__/js/jquery.js"></script>
<script type="text/javascript" src="__ROOT__/js/perfect-scrollbar.min.js"></script>
<script type="text/javascript" src="__ROOT__/js/jquery.mousewheel.js"></script>
</head>
<body>
<?php echo $html_header;?>
<div class="main">
  <div class="text-box" id="text-box">
    <div class="license">
      <h1>系统安装协议</h1>
      <p>感谢您选择本系统。本系统提供完整的小程序解决方案。官方网址为 http://www.doxcx.cn。</p>
      <p>用户须知：本协议是您与DOXCX团队之间关于您安装使用DOXCX团队提供的DOXCX小程序系统及服务的法律协议。无论您是个人或组织、盈利与否、用途如何（包括以学习和研究为目的），均需仔细阅读本协议。请您审阅并接受或不接受本协议条款。如您不同意本协议条款或DOXCX团队随时对其的修改，您应不使用或主动取消DOXCX团队提供的DOXCX小程序系统。否则，您的任何对DOXCX小程序系统使用的行为将被视为您对本服务条款全部的完全接受，包括接受DOXCX小程序对服务条款随时所做的任何修改。</p>
      <p>本服务条款一旦发生变更，DOXCX团队将在网页上公布修改内容。修改后的服务条款一旦在网页上公布即有效代替原来的服务条款。如果您选择接受本条款，即表示您同意接受协议各项条件的约束。如果您不同意本服务条款，则不能获得使用本服务的权利。您若有违反本条款规定，DOXCX团队有权随时中止或终止您对DOXCX小程序系统的使用资格并保留追究相关法律责任的权利。</p>
      <p>在理解、同意、并遵守本协议的全部条款后，方可开始使用DOXCX小程序系统。您可能与DOXCX团队直接签订另一书面协议，以补充或者取代本协议的全部或者任何部分。</p>
      <p>DOXCX小程序拥有本软件的全部知识产权。本软件只供许可协议，并非出售。DOXCX小程序只允许您在遵守本协议各项条款的情况下复制、下载、安装、使用或者以其他方式受益于本软件的功能或者知识产权。</p>
      <h3>I. 协议许可的权利</h3>
      <ol>
        <li>您可以在完全遵守本许可协议的基础上，将本软件应用于非商业用途，而不必支付软件版权许可费用。</li>
        <li>您可以在协议规定的约束和限制范围内修改DOXCX小程序系统源代码(如果被提供的话)或界面风格以适应您的网站要求。</li>
        <li>您拥有使用本软件构建的网站中全部会员资料、文章、商品及相关信息的所有权，并独立承担与使用本软件构建的网站内容的审核、注意义务，确保其不侵犯任何人的合法权益，独立承担因使用DOXCX小程序系统和服务带来的全部责任，若造成DOXCX小程序或用户损失的，您应予以全部赔偿。</li>
        <li>本协议是您与DOXCX团队之间关于您安装使用DOXCX团队提供的DOXCX小程序系统及服务的法律协议，若您需将DOXCX小程序系统或服务用于商业用途，必须另行获得DOXCX小程序的授权许可，您在获得商业授权之后，您可以将本软件应用于商业用途，同时依据所购买的授权类型中确定的技术支持期限、技术支持方式和技术支持内容，自购买时刻起，在技术支持期限内拥有通过指定的方式获得指定范围内的技术支持服务。商业授权用户享有反映和提出意见的权利，相关意见将被作为首要考虑，但没有一定被采纳的承诺或保证。</li>
      </ol>
      <p></p>
      <h3>II. 协议规定的约束和限制</h3>
      <ol>
        <li>未获DOXCX团队商业授权之前，不得将本软件用于商业用途（包括但不限于企业网站、经营性网站、以营利为目或实现盈利的网站）。购买商业授权请登录http://www.doxcx.cn参考相关说明。</li>
        <li>不得对本软件或与之关联的商业授权进行出租、出售、抵押或发放子许可证。</li>
        <li>无论用途如何、是否经过修改或美化、修改程度如何，只要使用DOXCX小程序系统的整体或任何部分，未经授权许可，页面页脚处的DOXCX小程序系统的版权信息都必须保留，而不能清除或修改。</li>
        <li>禁止在DOXCX小程序系统的整体或任何部分基础上以发展任何派生版本、修改版本或第三方版本用于重新分发。</li>
        <li>如果您未能遵守本协议的条款，您的授权将被终止，所许可的权利将被收回，同时您应承担相应法律责任。</li>
      </ol>
      <p></p>
      <h3>III. 有限担保和免责声明</h3>
      <ol>
        <li>本软件及所附带的文件是作为不提供任何明确的或隐含的赔偿或担保的形式提供的。</li>
        <li>用户出于自愿而使用本软件，您必须了解使用本软件的风险，在尚未购买产品技术服务之前，我们不承诺提供任何形式的技术支持、使用担保，也不承担任何因使用本软件而产生问题的相关责任。</li>
        <li>DOXCX团队不对使用本软件构建的平台中的会员、商品或文章信息承担责任，全部责任由您自行承担。</li>
        <li>DOXCX团队对提供的软件和服务之及时性、安全性、准确性不作担保，由于不可抗力因素、DOXCX团队无法控制的因素（包括黑客攻击、停断电等）等造成软件使用和服务中止或终止，而给您造成损失的，您同意放弃追究DOXCX团队责任的全部权利。</li>
        <li>DOXCX团队特别提请您注意，DOXCX团队为了保障公司业务发展和调整的自主权，DOXCX团队拥有随时经或未经事先通知而修改服务内容、中止或终止部分或全部软件使用和服务的权利，修改会公布于DOXCX团队网站相关页面上，一经公布视为通知。DOXCX团队行使修改或中止、终止部分或全部软件使用和服务的权利而造成损失的，DOXCX团队不需对您或任何第三方负责。</li>
      </ol>
      <p></p>
      <p>有关DOXCX小程序系统最终用户授权协议、商业授权与技术服务的详细内容，均由DOXCX团队独家提供。DOXCX团队拥有在不事先通知的情况下，修改授权协议和服务价目表的权利，修改后的协议或价目表对自改变之日起的新授权用户生效。</p>
      <p>一旦您开始安DOXCX小程序系统，即被视为完全理解并接受本协议的各项条款，在享有上述条款授予的权利的同时，受到相关的约束和限制。协议许可范围以外的行为，将直接违反本授权协议并构成侵权，我们有权随时终止授权，责令停止损害，并保留追究相关责任的权利。</p>
      <p></p>
      <p align="right">DOXCX团队</p>
    </div>
  </div>
  <div class="btn-box"><a href="install.php?step=1" class="btn btn-primary">同意协议进入安装</a><a href="javascript:window.close()" class="btn">不同意</a></div>
</div>
<?php echo $html_footer;?>
<script type="text/javascript">
$(document).ready(function(){
    //自定义滚定条
    $('#text-box').perfectScrollbar();
});
</script>
</body>
</html>
