const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
var app = getApp();
let groupByAPI = require('../../api/groupBuyAPI.js');
let WxParse = require('../../wxParse/wxParse.js');
var num_util = require('../../utils/num_util.js');
Page({
    data: {
        num: 1,
        minusStatus: 'disabled',
        indicatorDots: true,
        autoplay: true,
        interval: 3000,
        duration: 1000,
        hideTuan: true,
        product: {},
        groupList: [],
        joinGroupId: 0
    },
    onLoad: function (options) {
        var that = this;
        console.log('onload参数', options);
        that.setData({ options: options });
    },
    onShow: function () {
        let that = this;
        app.GetUserInfo(function () {
            app.globalData.getTop();
            let api = groupByAPI.getProduct;
            wx.request({
                url: api.url,
                method: api.method,
                data: {
                    wid: api.data.wid,
                    id: that.data.options.id
                },
                success(resp) {
                    let product = resp.data;
                    console.log(product);
                    that.setData({ product: product });
                    WxParse.wxParse('info', 'html', product.info, that);
                    let api = groupByAPI.getGroupList;
                    wx.request({
                        url: api.url,
                        method: api.method,
                        data: {
                            wid: api.data.wid,
                            product_id: that.data.product['id']
                        },
                        success: function (resp) {
                            console.log('获取到的group列表', resp.data);
                            if (resp.status == 'error') {
                                my.confirm({
                                    title: '错误',
                                    content: '参数错误'
                                });
                                return false;
                            }
                            that.setData({ groupList: resp.data });
                            for (let i = 0; i < that.data.groupList.length; i++) {
                                let curr_group = that.data.groupList[i];
                                let now = Date.parse(new Date()) / 1000;
                                let seconds = curr_group['end_time'] - now;
                                let result = {
                                    day: parseInt(seconds / 86400),
                                    hour: parseInt(seconds % 86400 / 3600),
                                    minute: parseInt(seconds % 3600 / 60),
                                    second: parseInt(seconds % 60)
                                };
                                that.data.groupList[i]['timeout'] = num_util.getTimeOut(curr_group['end_time']);
                            }
                            that.setData({ groupList: that.data.groupList });
                        },
                        fail: function () {
                            console.log('获取当前团购表出错');
                        }
                    });
                }
            });
        });
    },
    bindMinus: function () {
        var num = this.data.num;
        if (num > 1) {
            num--;
        }
        var minusStatus = num <= 1 ? 'disabled' : 'normal';
        this.setData({
            num: num,
            minusStatus: minusStatus
        });
    },
    bindPlus: function () {
        var num = this.data.num;
        num++;
        var minusStatus = num < 1 ? 'disabled' : 'normal';
        this.setData({
            num: num,
            minusStatus: minusStatus
        });
    },
    bindManual: function (e) {
        var num = e.detail.value;
        this.setData({ num: num });
    },
    showModal1: function (e = {}) {
        var stock = parseInt(this.data.product.stock)
        var nums = parseInt(this.data.product.num)
        if (stock <= nums) {
                    my.confirm({
                        title: '提示',
                        content: '商品没有库存啦！'
                    });
        return;
        }
        let type = e.currentTarget.dataset.type;
        let that = this;
        that.setData({
            type: type,
            joinGroupId: 0
        });
        var animation = my.createAnimation({
            duration: 200,
            timingFunction: 'linear',
            delay: 0
        });
        this.animation = animation;
        animation.translateY(300).step();
        this.setData({
            animationData1: animation.export(),
            showModalStatus1: true
        });
        setTimeout(function () {
            animation.translateY(0).step();
            this.setData({ animationData1: animation.export() });
        }.bind(this), 200);
    },
    //单独购买
    alonebuy:function(){
        console.log('6666')
    },
    showModal2: function (joinGroupId) {
        let that = this;
        let type = 'group';
        that.setData({
            type: type,
            joinGroupId: joinGroupId
        });
        var animation = my.createAnimation({
            duration: 200,
            timingFunction: 'linear',
            delay: 0
        });
        this.animation = animation;
        animation.translateY(300).step();
        this.setData({
            animationData1: animation.export(),
            showModalStatus1: true
        });
        setTimeout(function () {
            animation.translateY(0).step();
            this.setData({ animationData1: animation.export() });
        }.bind(this), 200);
    },
    hideModal1: function () {
        var animation = my.createAnimation({
            duration: 200,
            timingFunction: 'linear',
            delay: 0
        });
        this.animation = animation;
        animation.translateY(300).step();
        this.setData({ animationData1: animation.export() });
        setTimeout(function () {
            animation.translateY(0).step();
            this.setData({
                animationData1: animation.export(),
                showModalStatus1: false
            });
        }.bind(this), 200);
    },
    onShareAppMessage: function (e) {
        let that = this;
        let pageStack = getCurrentPages();
        return {
            title: that.data.product.sharename,
            path: '/pages/groupbuydetail/groupbuydetail?id=' + that.data.product.id,
            imageUrl: that.data.product.sharepic
        };
    },
    joinGroup: function (e) {
        let that = this;
        let groupId = e.currentTarget.dataset.groupId;
        console.log('要加入的团\uFF1A', groupId);
        that.showModal2(groupId);
    },
    navigateToSubmitOrder: function () {
        my.navigateTo({ url: '/pages/groupbuyordersubmit/groupbuyordersubmit' });
    }
});