const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
let app = getApp(), $ = require('../../utils/util.js'), moreshopApi = require('../../api/moreshopApi.js');
var templateMethods = require('../../utils/template_methods.js');
var num_util = require('../../utils/num_util.js');
let WxParse = require('../../wxParse/wxParse.js');
Page(Object.assign({}, templateMethods, {
    data: {
        is_refund_text: '申请退款',
        commentFlag: 1,
        length : 0
    },
    onLoad: function (options) {
        app.globalData.getTop();
        let that = this;
        console.log(options);
        that.setData({ shopid: options.shopid });
        that.loadOrder();
    },
    loadOrder: function () {
        let that = this;
        let api = moreshopApi.getOrderList;
        api.data = Object.assign(api.data, {
            wid: api.data.wid,
            openid: app.globalData.UserInfo.WeiXinOpenId,
            shopid: that.data.shopid,
            page: that.data.page
        });
        api = Object.assign(api, {
            success: function (resp) {
                let orderList = resp.data.data;
                if(orderList == null || orderList == undefined || orderList ==''){
                     that.setData({ length : 0 });

                }else{
                    for(var i = 0;i < orderList.length;i++){
                   var pic =orderList[i].product.pic.split('"')
                   orderList[i].product.pic = pic[1];
                }
                    that.setData({ 
                        orderList: orderList,
                        length : 1
                    });
                }
                console.log('订单列表', orderList);
            },
            error: function () {
                my.confirm({
                    title: 'Error',
                    content: '加载失败',
                    showCancel: 0
                });
            }
        });
        wx.request(api);
    },
    receive: function (e) {
        let that = this;
        my.confirm({
            title: '确认',
            content: '确定要确认收货吗\uFF1F',
            success: function (res) {
                if (res.confirm) {
                    console.log('用户点击确定');
                    let orderId = e.currentTarget.dataset.orderId;
                    let orderIndex = e.currentTarget.dataset.orderIndex;
                    let api = moreshopApi.receive;
                    api.data.orderId = orderId;
                    api.success = function (resp) {
                        let data = resp.data;
                        if (data.is_receive == 1) {
                            that.data.orderList[orderIndex]['order']['status'][0] = 3;
                            that.data.orderList[orderIndex]['order']['status'][1] = '已收货';
                            that.setData({ orderList: that.data.orderList });
                        }
                    };
                    wx.request(api);
                }
            }
        });
    },
    refundMoney: function (e) {
        let that = this;
        my.confirm({
            title: '确认',
            content: '确定要申请退款吗\uFF1F',
            success: function (res) {
                if (res.confirm) {
                    console.log('用户点击确定');
                    let orderId = e.currentTarget.dataset.orderId;
                    let api = moreshopApi.refundMoney;
                    api.data.orderId = orderId;
                    api.success = function (resp) {
                        wx.showToast({
                            title: '申请成功',
                            icon: 'success',
                            duration: 2000
                        });
                        let data = resp.data;
                        console.log(data);
                    };
                    wx.request(api);
                }
            }
        });
    },
    bindPay: function (e) {
        let orderId = e.currentTarget.dataset.orderId;
        console.log(orderId);
        let api = moreshopApi.subOrder;
        api.data = Object.assign(api.data, {
            wid: api.data.wid,
            openid: app.globalData.UserInfo.WeiXinOpenId,
            orderid: orderId
        });
        api = Object.assign(api, {
            success: function (resp) {
                console.log(resp);
                wx.showActionSheet({
                    itemList: ['支付宝支付'],
                    success: function (res) {
                        console.log(res.tapIndex);
                        if (res.tapIndex == 0) {
                            if(resp.data.payObj.alipay_trade_create_response.code == '10000'){
                                my.tradePay({
                                    tradeNO: resp.data.payObj.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
                                    success: function (n) {
                                    switch(n.resultCode){
                                        case '9000' :
                                          my.redirectTo({ url: '/pages/moreshop_orderlist/moreshop_orderlist?shopid=' + that.data.product.shopid });
                                        break;
                                        case '4000':
                                            my.showToast({
                                            type: 'fail',
                                            content: '订单支付失败',
                                            });
                                        break;
                                        case '6001':
                                            my.showToast({
                                            type: 'fail',
                                            content: '您取消支付',
                                            });                    
                                        break;
                                        case '6002' :
                                            my.showToast({
                                            type: 'fail',
                                            content: '网络连接出错',
                                            });
                                        break;                    
                                    }
                                    },
                                    fail: function (n) {
                                        my.showToast({
                                        type: 'fail',
                                        content: '订单支付失败',
                                        });                 
                                    }
                                });
                            }else{
                                my.showToast({
                                    type:'fail',
                                    content:resp.data.payObj.alipay_trade_create_response.sub_msg
                                })
                            }                            
                        }
                    },
                    fail: function (res) {
                        console.log(res.errMsg);
                    }
                });
            },
            error: function () {
                my.confirm({
                    title: 'Error',
                    content: '网络错误',
                    showCancel: 0
                });
            }
        });
        wx.request(api);
    },
    closePopView: function () {
        this.setData({ flag: 0 });
    },
    openComment: function (e) {
        console.log(e.currentTarget.dataset.orderId);
        this.setData({
            flag: 1,
            commentOrderId: e.currentTarget.dataset.orderId
        });
    },
    bindcomment: function (e) {
    },
    bindTextAreaBlur: function (e) {
        console.log(e.detail.value);
        this.setData({ commentContent: e.detail.value });
    },
    subComment: function () {
        let t = this;
        console.log('评论内容', this.data.commentContent);
        console.log('订单号', this.data.commentOrderId);
        let api = moreshopApi.subComment;
        wx.request({
            url: api.url,
            data: {
                wid: api.data.wid,
                openid: app.globalData.UserInfo.WeiXinOpenId,
                orderid: this.data.commentOrderId,
                comment: this.data.commentContent
            },
            method: 'POST',
            success: function (e) {
                if (e.data.status == 'success') {
                    my.confirm({
                        title: '成功',
                        content: e.data.msg,
                        showCancel: 0,
                        success: function () {
                            t.setData({ commentFlag: 0 });
                        }
                    });
                } else {
                    my.confirm({
                        title: '失败',
                        content: e.data.msg,
                        showCancel: 0
                    });
                }
            }
        });
    }
}));