const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
var app = getApp(), $ = require('../../utils/util.js'),
    WxParse = require('../../wxParse/wxParse.js'),
    activityapi = require('../../api/activityAPI.js');
Page({
    data: {
        dataList: [],
        Id: 0,
        flag: !0,
        activitydetail: [],
        comment_input: '',
        type: 'Android'
    },
    inputComment(e) {
        this.setData({ comment_input: e.detail.value });
    },
    submitComment(e) {
        let t = this;
        my.myRequest({
            url: activityapi.submitComment.url,
            method: 'POST',
            data: {
                id: t.data.Id,
                comment: t.data.comment_input
            },
            success(resp) {
                let r = resp.data;
                if (r.status === 'success') {
                    wx.showToast({ title: '提交成功' });
                    t.setData({ comment_input: '' });
                    t.GetNewsletter();
                } else {
                    wx.showToast({ title: r.msg || '提交失败' });
                }
            }
        });
    },
    onLoad: function (e) {
        app.globalData.getTop();
        this.setData({ Id: e.id }),
        this.GetNewsletter();
        try {
            var t = wx.getSystemInfoSync();
            this.setData({ windowHeight: t.windowHeight });
        } catch (n) {
            console.log(' Do something when catch error');
        }
    },
  onShow: function() {
    my.getSystemInfo({
      success: (res) => {
        this.setData({
          type: res.platform
        })
      }
    })
  },
  onReady() {
    var that = this;
    my.createSelectorQuery()
      .select('#body').boundingClientRect()
      .selectViewport().boundingClientRect().exec((ret) => {
        console.log(ret);
        this.setData({ ret: ret });
        // console.log(ret[0]);
      });
  },
    GetNewsletter: function () {
        var e = { id: this.data.Id }, t = this;
        $.xsr($.makeUrl(activityapi.GetNewsletter, e), function (e) {
            console.log('测试数据',e)
            console.log(e), $.isNull(e.dataList) ? t.setData({ flag: !1 }) : t.setData({
                dataList: e.dataList,
                markers: [{
                        undefined,
                        id: 0,
                        latitude: e.dataList.lat,
                        longitude: e.dataList.lon,
                        width: 50,
                        height: 50
                    }],
                video: e.dataList.video,
                httpsurl: e.dataList.httpsurl,
                Content: e.dataList.Content.replace(/<img/g, '<img style="width:100%;height:auto"'),
                comment_list: e.dataList.comment_list
            }), WxParse.wxParse("pinfo", "html", e.dataList.Content, t);
            my.setNavigationBar({ title: t.data.dataList.Title });
        });
    },
    onShareAppMessage: function (res) {
        var that = this;
        return {
            title: that.data.dataList.Title,
            path: '/pages/newsletterdetail/newsletterdetail?id=' + that.data.Id,
            success: function (res) {
            },
            fail: function (res) {
            }
        };
    }
});