const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:02 PM
*/
var app = getApp(), $ = require('../../utils/util.js'), cartapi = require('../../api/cartAPI.js'), orderapi = require('../../api/orderAPI.js'), notice = require('../../utils/notice.js');
Page({
  data: {
    cartinfo: {},
    addressid: 0,
    spinfo: '',
    remark: '',
    remarkLength: 0,
    formId: '',
    submitinfo: {},
    isSubmit: !1,
    couponItemId: 0,
    orderid: '',
    IsUseCoupon: 1,
    payTypeArr: ''
  },
  onLoad: function (e) {
    console.log('你就不会和v给')
    app.globalData.getTop();
    this.setData({ spinfo: e.spid || '' });
    var t = this;
    notice.addNotification('RefreshOrder', t.RefreshOrder, t),
      notice.addNotification('RefreshCoupon', t.RefreshCoupon, t),
      this.getcartlist();
    this.getPayType();
  },
  onShow: function () {
    console.log('onShow')
    //收货地址缓存
    let res = my.getStorageSync({ key: 'selectarea' });
    if (res && res.data != undefined) {
      console.log(res.data)
      this.setData({
        FullAddress: res.data.FullAddress,
        phone: res.data.phone,
        receiver: res.data.receiver,
        id: res.data.id
      })
    }
    //优惠劵缓存
    let coupon = my.getStorageSync({ key: 'coupon' });
    if (coupon && coupon.data != undefined) {
      this.setData({
        couponItemId: coupon.data.couponItemId,
        IsUseCoupon: coupon.data.IsUseCoupon
      })
    }
    this.getcartlist();
    // this.getPayType();
  },
  //获取支付方式
  getPayType: function () {
    let t = this;
    let api = orderapi.GetPayType;
    wx.request({
      url: api.url,
      data: { wid: api.data.wid },
      method: 'POST',
      success: function (e) {
        if (e.data.data == undefined || e.data.data.length == '' || e.data.data.length == null) {
          my.showToast({
            type: 'fail',
            content: '商家未设置支付方式',
            duration: 3000
          });
          return;
        }
        console.log('支付方式回调\uFF1A', e.data.data);
        t.setData({ payTypeArr: e.data.data });
        console.log(t.data.payTypeArr, 'hhhhh')
      }
    });
  },

  RefreshOrder: function (e) {
    this.setData({ spinfo: e.spid }), this.getcartlist();
  },
  RefreshCoupon: function (e) {
    this.setData({
      couponItemId: e.couponItemId,
      IsUseCoupon: e.IsUseCoupon
    }), this.getcartlist();
  },

  getcartlist: function () {
    var e = this, t = { openId: app.globalData.UserInfo.WeiXinOpenId };
    $.xsr($.makeUrl(cartapi.GetCartList, t), function (t) {
      var n = {
        openId: app.globalData.UserInfo.WeiXinOpenId,
        ShoppingCartList: [],
        couponItemId: e.data.couponItemId,
        IsUseCoupon: e.data.IsUseCoupon,
        addressId: e.data.addressid
      };
      if ($.isNull(e.data.spinfo)) {
        var r = t.dataList.VendorList[0].ShoppingCartList;
        for (var i in r)
          r[i].IsCheck && n.ShoppingCartList.push(r[i]);
      } else
        n.ShoppingCartList.push(JSON.parse(e.data.spinfo));
      e.setData({ cartinfo: n.ShoppingCartList }), console.log(e.data.cardInfo);
      $.xsr($.makeUrl(cartapi.GoSettlement, n), function (t) {
        t.errcode == 0 && (e.setData({ submitinfo: t.dataList }), $.isNull(e.data.submitinfo.ShoppingCartUsedCouponInfo) || e.setData({ couponItemId: e.data.submitinfo.ShoppingCartUsedCouponInfo.CouponItem.Id }));
      });
    });
  },

  getLocalTime: function (e) {
    e = e.replace('/Date(', '').replace(')/', '');
    var t = new Date(parseInt(e));
    return t;
  },
  submitorder: function (e) {
    var t = this;
    console.log($.isNull(t.data.orderid));
    if ($.isNull(t.data.orderid)) {
      // if (this.data.addressid == 0) {
      //     my.confirm({
      //         title: '提示',
      //         showCancel: !1,
      //         content: '请添加地址\uFF01'
      //     });
      //     return;
      // }
      if (this.data.id == 0) {
        my.confirm({
          title: '提示',
          showCancel: !1,
          content: '请添加地址\uFF01'
        });
        return;
      }
      var n = {
        openId: app.globalData.UserInfo.WeiXinOpenId,
        ShoppingCartList: this.data.cartinfo,
        remark: t.data.remark,
        // addressId: this.data.addressid,
        addressId: this.data.id,
        couponItemId: this.data.couponItemId,
        payType: 1
      };
      console.log(n);
      $.xsr($.makeUrl(orderapi.SubmitOrders, n), function (n) {
        console.log('哇哈哈哈哈', n)
        n.errcode == 0 ? (t.setData({
          formId: e.detail.formId,
          orderid: n.dataList.OrderId     //订单id
        }), n.dataList.ActualPayPrice > 0 ? t.gotoPayWrap() : t.returnUrl(n.dataList.OrderId)) : wx.showToast({ title: n.errmsg });
      });
    } else
      t.gotoPayWrap();
  },
  gotoPayWrap() {
    let t = this;
    var itemlist;
    console.log(t.data.payTypeArr, '支付方式')
    if (t.data.payTypeArr == '' || t.data.payTypeArr == undefined || t.data.payTypeArr == null) {
      my.showToast({
        type: 'fail',
        content: '商家未设置支付方式',
        duration: 3000
      });
      return;
    } else if (t.data.payTypeArr.length == 2 && t.data.payTypeArr[0] == 1 && t.data.payTypeArr[1] == 2) {
      itemlist = ['支付宝支付', '余额支付'];
    } else if (t.data.payTypeArr[0] == 1) {
      itemlist = ['支付宝支付'];
    } else if (t.data.payTypeArr[1] == 2) {
      itemlist = ['余额支付'];
    }
    my.showActionSheet({
      title: '请选择支付方式',
      items: itemlist,
      success: function (res) {
        console.log('支付方式索引', res);
        console.log('支付方式索引值', t.data.payTypeArr[1]);  //2
        if (t.data.payTypeArr[1]) {
          if (res.index == 0) {
            t.gotopay();
          } else if (res.index == 1) {
            wx.setStorageSync('vip_pay_redirect', `/pages/orderdetail/orderdetail?orderid=${t.data.orderid}`);
            my.navigateTo({ url: `/pages/payment/payment?type=normal&orderid=${t.data.orderid}` });
          }
        } else if (t.data.payTypeArr[0] == 1) {
          t.gotopay();
        } else {
          wx.setStorageSync('vip_pay_redirect', `/pages/orderdetail/orderdetail?orderid=${t.data.orderid}`);
          my.navigateTo({ url: `/pages/payment/payment?type=normal&orderid=${t.data.orderid}` });
        }
      },
      fail: function (res) {
        console.log(res.errMsg);
      }
    });
  },
  gotopay: function () {
    var e = this, t = {
      orderid: this.data.orderid,
      openId: app.globalData.UserInfo.WeiXinOpenId
    };
    console.log('支付参数', t)
    console.log(orderapi.GetWeiXinPrePayNum);
    //20180907 接口错误
    this.data.isSubmit = !0, $.xsr($.makeUrl(orderapi.GetWeiXinPrePayNum, t), function (n) {
      console.log('支付请求', n);
      console.log('什么看法', n.dataList.alipay_trade_create_response.trade_no)
      if (n.dataList.alipay_trade_create_response.code == '10000') {
        my.tradePay({
          tradeNO: n.dataList.alipay_trade_create_response.trade_no, //完整的支付参数拼接成的字符串，从服务端获取
          success: function (n) {
            switch (n.resultCode) {
              case '9000':
                my.removeStorageSync({
                  key: 'coupon',
                });
                e.sendMessage(t.orderid, 2),     //暂时不要
                  my.navigateTo({
                    url: '/pages/orderdetail/orderdetail?orderid=' + t.orderid
                  })
                break;
              case '4000':
                my.showToast({
                  type: 'fail',
                  content: '订单支付失败',
                });
                break;
              case '6001':
                my.showToast({
                  type: 'fail',
                  content: '您取消支付',
                });
                break;
              case '6002':
                my.showToast({
                  type: 'fail',
                  content: '网络连接出错',
                });
                break;
            }
            // e.returnUrl(t.orderid);

          },
          fail: function (n) {
            my.removeStorageSync({
              key: 'coupon',
            });
            $.gotopage('/pages/orderdetail/orderdetail?orderid=' + t.orderid), e.sendMessage(t.orderid, 1);
          }
        });
      } else {
        my.showToast({
          type: 'fail',
          content: n.dataList.alipay_trade_create_response.sub_msg
        })
      }
    });
  },
  inputRemark: function (e) {
    this.setData({
      remark: e.detail.value,
      remarkLength: e.detail.value.length
    });
  },
  sendMessage: function (e, t) {
    console.log('formId才能收到防护值', this.data.formId)
    var n = {
      api: t == 1 ? orderapi.OrderSubmitMessage : orderapi.OrderPaySuccessWXMessage,
      pages: 'pages/orderdetail/orderdetail?orderid=' + e,
      formId: this.data.formId,
      WeiXinOpenId: app.globalData.UserInfo.WeiXinOpenId,
      value: { orderid: e }
    };
    $.sendTpl(n);
  },
  suitcouponlist: function () {
    my.navigateTo({ url: '/pages/suitcouponlist/suitcouponlist?val=' + JSON.stringify(this.data.submitinfo.ShoppingCartCouponInfoList) + '&id=' + this.data.couponItemId });
  },
  returnUrl: function (e) {
    var t = this;
    $.gotopage('/pages/orderdetail/orderdetail?orderid=' + e);
    return;
  },
  selectAddress: function () {
    var e = this;
    my.navigateTo({
      url: '/pages/shopaddress/shopaddress?selectarea=1'
    })
  }
});