const wx = require('../../weidogs');
/* converted by appconverter    	      		  
   on Monday, August 27th, 2018, 2:55:03 PM
*/
var app = getApp(), $ = require('../../utils/util.js'), orderapi = require('../../api/orderAPI.js');
Page({
    data: {
        orderInfo: {},
        products: [],
        starNum: [
            1,
            2,
            3,
            4,
            5
        ]
    },
    onLoad: function (params) {
        app.globalData.getTop();
        let that = this;
        const orderId = params['orderid'];
        that.getOrderInfo(orderId);
    },
    getOrderInfo(orderid) {
        let that = this;
        const apiInfo = orderapi.GetOrderWithEvaluate;
        const api = {
            url: apiInfo.url,
            data: Object.assign(apiInfo.post, {
                openid: app.globalData.UserInfo.WeiXinOpenId,
                orderid: orderid
            }),
            method: 'POST',
            success(resp) {
                const data = resp.data;
                console.log('请求订单和商品信息成功', data);
                that.setData({
                    orderInfo: data,
                    products: data.items
                });
            },
            fail() {
                console.log('请求订单和商品信息失败');
            }
        };
        wx.request(api);
    }
});