const app = getApp();
const templateMethods = require("../../utils/template_methods.js");
const sellerAPI = require('../../api/sellerAPI');
Page(Object.assign({}, {
  data: {},
  onLoad() {
    this.setMenu(this);
    app.globalData.getTop();
    // 检查是否已登录
    if ( tt.getStorageSync('seller_login_flag') == '') {
       tt.redirectTo({
        url: '/pages/sellerlogin/sellerlogin'
      });
    }
  },
  onShow: function() {
    var a =  tt.getStorageSync('navigation');
     tt.setNavigationBarColor({
      frontColor: '#ffffff',
      backgroundColor: a.selectedColor || '#000'
    });
    this.setData({
      __wechat_main_color: a.selectedColor
    });
  },
  logout() {
     tt.removeStorageSync('seller_username');
     tt.removeStorageSync('seller_password');
     tt.removeStorageSync('seller_login_flag');
     tt.redirectTo({
      url: '/pages/sellerlogin/sellerlogin'
    });
  },
  scancode: function() {
    console.log('123');
     tt.scanCode({
      success: (res) => {
        let res_data = res;
        console.log(res_data);
         tt.showModal({
          title: '扫码提示',
          content: '确定要查看核销信息？',
          success: function(res) {
            if (res.confirm) {
              console.log('用户点击确定')
              console.log(res_data)
               tt.navigateTo({
                url: '/pages/activitiesrorderdetail/activitiesrorderdetail?orderid=' + res_data.result,
              })
            } else if (res.cancel) {
               tt.redirectTo({
                url: '/pages/sellercenter/sellercenter'
              });
            }
          }
        })
      }
    })
  },
  testpage: function() {
     tt.navigateTo({
      url: '/pages/activitiesrorderdetail/activitiesrorderdetail',
    })
  }
}, templateMethods));